FTS_Overview

The Agilent Filter Tuning Software (FTS) provides a visual representation of how to make appropriate tuning adjustments to coupled-resonator bandpass filters.

FTS allows a filter tuner to intuitively and accurately tune each resonator of a filter and adjust the couplings between resonators to match the target response of an ideal or reference filter.

FTS is designed to:

  • reduce training requirements for filter tuners

  • allow the use of less skilled filter tuners

  • reduce average filter tuning times for the manufacture of coupled-resonator bandpass filters

FTS is used in conjunction with the typical measurement setup: vector network analyzer (VNA), cables, fixtures, and calibration kit. FTS is your interface with your VNA and filter, controlling the VNA for you. It:

  • Sets up VNA sweep parameters

  • Initiates measurements with the VNA

  • Reads measurement data from the VNA

  • Processes measurement data

  • Updates the FTS graphical display (tuning indicators, traces, markers)

  • Guides you in tuning order (optional)

Reference Filter

FTS uses the performance of a reference filter a filter that has been expertly tuned by hand as a standard or template for tuning filters.

  • FTS measures and stores the target characteristics of the resonators and couplers of the reference filter.

  • FTS compares these target characteristics to the measured performance of a filter being tuned.

FTS uses a wizard to guide you through the process of creating a new reference filter file.

Filter Tuning

FTS uses a gradual visual approach to home in on the tuning targets established with the reference filter.

FTS uses indicators to clearly show the state of each tuning element compared to its target value and how to make appropriate tuning adjustments.

To support filters in a variety of tuning states, including those that may be completely untuned, FTS operates in three stages of tuning:

  • Coarse

  • Medium

  • Fine

See Tuning a Filter for additional details.

See Also:

Reference Filter

Network Analyzer

Computer Requirements

Tuning a Filter

Limits


What's New?

The following features are new in Agilent FTS Rev. A.01.18.

The online Help system has been updated.

  • The Troubleshooting section and the descriptions of Stop Tuning and Pause Tuning have been expanded.

The Getting Started Guide (N4261-90001) has been updated.

  • The Troubleshooting and Installation chapters have been expanded.

The following features are new in Agilent FTS Rev. A.01.14.

Dynamic Coupler Search

Kaiser Beta Window Coefficient

The last resonator to be measured with S11 can now be specified by the user.

Create a reference filter file from a single s2p file

Display coupling peak markers on time domain traces

Markers for reference traces appear different than those for measured traces.

TRL 2-Port calibration is now supported by Agilent FTS.


Network Analyzer

FTS is used in conjunction with the typical measurement setup: vector network analyzer (VNA), cables, fixtures, and calibration kit.

FTS is your interface with your VNA and filter, controlling the VNA for you. It:

  • Sets up VNA sweep parameters

  • Initiates measurements with the VNA

  • Reads measurement data from the VNA

  • Processes measurement data

  • Updates the FTS graphical display (tuning indicators, traces, markers)

  • Guides you in tuning order (optional)

Requirements

Setup

Changing Analyzers

Calibration

Requirements

Agilent FTS requires a network analyzer capable of measuring S-parameters.

The following Agilent network analyzers will work with Agilent FTS:

  • E835x

  • 8719xES (or D with firmware upgrade 7.0 or later [see note])

  • 872xES (or D with firmware upgrade 7.0 or later [see note])

  • 875xE/ES (or D with firmware upgrade 7.0 or later [see note])

Note:

Agilent FTS will not function properly with firmware upgrade 7.60-7.66 on the 8719, 872x, or 875x.

Setup

  • Connect the VNA to the computer that is running FTS using a LAN or GPIB cable, except if FTS is installed on the onboard computer of the E835x. The only other setup necessary to perform on your VNA is a calibration.

  • FTS sets the sweep parameters of the VNA for you based upon the reference filter information you specify.

  • The accuracy of the measurements will be the accuracy of the network analyzer used, along with the calibration data used for error correction.

Changing Analyzers

FTS allows you to specify two different types of VNA when installing FTS:

  • one E835x

  • one 875x, 8719 or 872x

Procedures

To switch between the two specified VNA types:

  1. From the Setup menu, select VNA Properties....The Vector Network Analyzer Properties dialog will appear.

  2. In the VNA Type area, select the desired VNA type.

  3. Enter the desired Calibration Register for a 875x, 8719 or 872x, or specify a Calibration File for a E835x.

  4. Click to select Hide VNA Display. area,

  5. Click OK.

To switch to a VNA other than the two originally specified:

  1. Uninstall FTS from the computer.

  2. Reinstall FTS to your computer, specifying the desired VNA type, Hostname or GPIB address.

A change of VNA requires a new calibration file.

See Also:

Computer Requirements

Hardware Key

Run Automation Script for E835x

Reference Filter File

Tuning a Filter

Troubleshooting


Computer Requirements

Minimum requirements:

  • Pentium II processor, or better

  • 266 MHz clock speed

  • Windows 2000 or NT 4.0 operating system

  • 64 Megabytes of RAM

  • 20 Megabytes of hard disk space

See Also:

Hardware Key

Network Analyzer

Run Automation Script for E835x

Reference Filter File

Tuning a Filter


Hardware Keys

A hardware key is required to use the Agilent FTS software.

There are two types of hardware key:

  • USB

  • Parallel Port

The E835x has an internal PC that supports USB. USB or parallel keys can be used if Agilent is installed on the internal PC of the analyzer.

  • The USB hardware key can be connected directly to the E835x, but a USB hub is necessary to allow for connection of the hardware key, keyboard, and mouse.

  • The parallel key requires a parallel port-adaptor to be connected to the E835x.

Note: Do not install the USB hardware key in your PC or E835x until after the software has been installed.

To Install the Hardware Key

USB ports

  1. Plug the USB key into an available USB port after installing FTS.

Parallel Port

  1. Connect the parallel hardware key into the parallel port.

See Also:

Computer Requirements

Network Analyzer

Reference Filter

Tuning a Filter


Calibration

The quality of the calibration performed directly effects the accuracy of the measurements performed by FTS and the reliability of the information presented by FTS.

The use of ECAL units is recommended for obtaining consistent (and speedy) quality results with FTS.

Requirements

Storage

Suggested Calibration Procedure

Recalibration

FTS Calibration Requirements

FTS requires a full 2-port SOLT calibration to ensure accurate measurements. TRL 2-Port calibration is not required, but it is supported by Agilent FTS. Use:

  • Maximum number of data points supported by your VNA (typically 1601 points)

  • A frequency range that covers at least the frequency span of the coarse tuning stage.

  • Same power level required for measuring the filter

  • IF Bandwidth that is the same as the value required for measuring the filter

Note: FTS only supports calibrations that are performed with a linear frequency sweep. Log frequency sweeps and frequency point lists are not supported.

Calibration should be performed at the DUT Measurement plane.

All de-embedding or adaptor removal procedures should be performed prior to using FTS and should be saved with the calibration state that FTS is configured to recall (through the VNA Setup dialog).

Calibration File Storage

Store the calibration state information in a:

  • Register for the 87xx (1-30 is the assumed range of registers)

  • .CST file for the E835x.

Agilent FTS will prompt you for the location of the calibration information when you identify the network analyzer that you are using when defining your golden filter.

Calibration Procedure

A typical VNA calibration procedure for use with FTS would have the following steps:

  1. Connect the appropriate cables and adaptors to the VNA.

  2. Preset the VNA.

  3. Change the frequency span if the default (full span) is too excessive.

  4. In sweep setup set the number of points to 1601.

  5. Set the desired power level.

  6. Set the desired IF Bandwidth (lower bandwidths result in slower measurements).

  7. Perform the full 2-Port calibration (you may omit Isolation), using an ECAL unit or an appropriate mechanical calibration kit.

  8. Save the resulting state in a register or a .cst file.

Recalibration

Set up a recalibration schedule that is consistent with your established quality assurance guidelines.

  • Agilent FTS does not check for the age of the calibration data and cannot prompt you if the calibration data is stale due to age or change of test set configuration.

  • If recalibration is performed and the resulting state is saved to a different register and/or different state file (.cst) than the current configuration in Agilent FTS, you must change the calibration configuration in the VNA Setup dialog.


Goldent Filter

Reference Filter File - Overview

Agilent FTS uses the performance of a reference filter that has been expertly tuned as a standard or template for tuning filters.

  • Agilent FTS measures and stores the target characteristics of the resonators and couplers of the reference filter.

  • Agilent FTS compares these target characteristics to the measured performance of a filter being tuned.

  • Indicators clearly show the state of each tuning element compared to its target value and how to make appropriate tuning adjustments.

What Is In a Reference Filter File?

Agilent FTS stores the following information in a reference filter file:

  • Filter characteristics

  • Tuning measurement spans

  • Filter performance data

  • Limits

  • Indicator properties

  • Window configuration

How Do I Create a New Reference Filter File?

Agilent FTS provides three ways to create a new reference filter file. Agilent FTS allows you to:

  • Create a reference filter file from scratch.

  • Use an existing reference filter file as a template .

  • Use simulation data as the basis for a reference filter file

See Also:

Modify a Reference Filter File


Golden Filter Parameters

Reference Filter Characteristics

There are six properties that must be defined for a reference filter:

  • Adjustable Coupling

  • Center Frequency

  • 3 dB Bandwidth

  • Number of Resonators

  • Number of Data Points

  • Electrical Delay

Adjustable Coupling

Resonators are always adjustable. Specify if the filter also has:

  • Adjustable inter-stage main couplings

If Adjustable Coupling is toggled OFF, the coupler indicators will be displayed, but will never be highlighted in Guided Tuning. (Agilent FTS assumes that the Input and Output couplings are fixed. The result is that the Input and Output coupling indicators are never highlighted in Guided Tuning, regardless of the Adjustable Coupling setting.)

This setting will not affect the operation of the Resonator Indicators.

Center Frequency

Specify the center frequency for the filter.

3 dB Bandwidth

Specify the 3 dB bandwidth for the filter.

  • The default values for Coarse, Medium, and Fine tuning measurement spans are based on the 3 dB bandwidth.

  • FTS does not verify that the measurement spans around the center frequency are within the range of the network analyzer.

  • The default measurement span around the center frequency for Coarse tuning stage is 8 times the 3 dB bandwidth (unless you edit the default span multipliers).

  • If this is outside the frequency range of your network analyzer, you will need to modify the coarse tuning span or use a network analyzer with a broader frequency range.

Number of Resonators

Specify the number of resonators the reference filter has.

  • FTS can support a range from 2 to 12 resonators.

Consult your Agilent Field Engineer regarding filters with more than 12 resonators.

Number of Data Points

There are four options possible:

  • 201

  • 401

  • 801

  • 1601

Increasing the number of data points improves resolution, but there is a tradeoff between the number of data points and measurement speed.

Once you have created a reference filter file, you cannot change the number of data points. You must create a new reference filter file with the desired number of data points, although you can use the existing file as a template to create the new file.

Electrical Delay

Specify the desired electrical delay value to compensate for line length or other features of the filter assembly or test set. (Applied for phase and group delay measurements only.)

See Also:

New Reference Filter File: From Scratch

New Reference Filter File: From Template

New Reference Filter File: From Simulation

Modify Reference Filter File

Speed vs. Resolution

Reference Filter

Limits


Tuning Spans

Tuning Stage Spans

  • FTS allow you to specify the frequency span for Coarse, Medium, and Fine tuning stages.

  • The default values for the Coarse, Medium and Fine spans are based upon the 3 dB Bandwidth value of the reference filter.

    • The default multiplier values can also be edited.

Span

Original Default Value

Coarse

8 x 3 dB Bandwidth

Medium

6.5 x 3 dB Bandwidth

Fine

2.5 x 3 dB Bandwidth

  • FTS does not verify that your VNA can support the default spans in conjunction with the specified Center Frequency of the reference filter. The resultant measurement span may exceed the frequency range of your VNA. See example.

  • For reference filter files created from simulation data, the Coarse stage span cannot be changed to exceed the span of the Coarse stage simulation file. The Fine stage span cannot be changed to a value less than 2 x 3 dB Bandwidth.

Considerations:

  • Frequency range of VNA may limit the Coarse tuning span.

  • Broader spans result in reduced resolution.

  • Pre-tuning of filters (if any) may allow for narrower tuning spans.

See Also:

Speed vs. Accuracy

Reference Filter

Tuning Stages

Tuning a Filter


Gather Filter Data

Reference Filter Performance Data

The Agilent FTS reference filter wizard initiates measurement sweeps after the filter properties and tuning spans have been entered. The results of the sweeps over the Coarse, Medium, and Fine tuning spans are displayed in the Verify Filter Response dialog.

  • Agilent FTS uses this data to locate the first coupling peaks on the time domain trace for S11 and S22, which correspond to the input coupler and output coupler, respectively.

  • Agilent FTS calculates and marks the positions of the other peaks, which correspond to the inter-stage couplers.

  • These results are displayed in the Pick Peaks dialog.

  • This coupling peak data is used to characterize the performance of the reference filter and generate the tuning targets for the Coarse, Medium, and Fine tuning stages.

  • This information is critical to the accuracy and effectiveness of FTS as a tuning tool.

Agilent FTS locates the first peak and places the first marker as a reference point for detecting the coupling peaks. If the first marker is placed incorrectly, the coupling peaks may not be detected properly. Agilent FTS requires that you inspect and correct the placement of the markers corresponding to these coupling peaks for each tuning stage.

  • Verify that the first marker is located to the left of the first coupling peak on the S11 trace and on the S22 trace.

  • Verify that the coupler markers are correctly placed at the peaks of each trace.

Procedure

The reference filter wizard displays the Pick Peaks dialog as you are creating a new reference filter file. The dialog will also be displayed if you modify the 3 dB Bandwidth of an existing reference filter file.

  1. Inspect the Pick Peaks: Coarse Stage dialog.

  2. To enlarge a specific part of a trace, define the area to be magnified by placing the pointer in the desired starting position.

    1. Hold down the left mouse button and drag the mouse to define the portion of the trace to magnify.

  1. Release the mouse button to zoom into the defined area

  3. Select the best Kaiser Beta value that will allow Agilent FTS to consistently detect the first coupling peaks in your production filters while showing the deepest nulls.

  4. If the displayed markers are not properly placed on the peaks corresponding to the couplers, move marker 1 to left of the first coupling peak and press Re-compute Peaks. Or move the coupling peak markers directly to their proper respective locations.

  5. Press Next. The Pick Peaks: Medium Stage dialog will appear.

  6. Repeat Step 3.

  7. Press Next. The Pick Peaks: Fine Stage dialog will appear.

  8. Repeat Step 3.

After FTS has gathered the data for the Coarse, Medium, and Fine tuning spans, the reference filter wizard will advance to the Edit Limits dialog.

See Also:

Reference Filter

Tuning a Filter


Limits

The ultimate way of verifying that a filter is tuned to meet specifications is through the use of limits.

  • The indicators are visual tuning guides that reflect the state of individual filter elements, but the limit results reflect the overall performance of the filter.

  • The indicators may show that not all resonators and couplers are tuned to match the reference filter, but the filter performance may still meet the specified limits.

Use limit specifications in FTS as you would with your network analyzer.

Agilent recommends that you use the Evaluate Limits feature as the final confirmation that a filter is tuned.

Procedures:

Click on the desired action below to view the associated procedure.

Add Limit Line

Add Ripple Limit

Edit Limit

Remove Limit

View Limits

Evaluate Limits

See Also:

Reference Filters

Tuning a Filter

Troubleshooting

Tuning Span


Indicators

FTS measures and stores the target characteristics of the resonators and couplers of the reference filter.

FTS compares these target characteristics to the measured performance of a filter being tuned.

FTS uses indicators to clearly show the state of each tuning element compared to its target value and to demonstrate how to make appropriate tuning adjustments.

The vertical bar of the indicator represents the state of the resonator.

  • If the bar is red, the resonator is not tuned to its target value.

  • For most filters, the relative height of the indicator bar corresponds to the physical height of the tuning screw in the filter (if it is between the blue lines, the linear range of the indicator).

  • If the top of the red bar is above the green zone, the resonator is above the target.

  • For most filters, this means the tuning screw needs to be lowered.

  • If the top of the red bar is below the green zone, the resonator is below the target level.

  • For most filters, this means the tuning screw needs to be raised.

  • If the bar is blue, the resonator is tuned within the specified passband or tolerance level.

Note: Interaction between resonators and couplers may cause a tuning element that was tuned to become untuned when you are adjusting other tuning elements. Tuning is an iterative process - you may have to tune the same indicator several times during the same tuning stage until all resonators and couplers are tuned.

  • If there is no vertical bar visible, the resonator is not tuned.

  • The resonator may be in an undetermined state that may not necessarily correlate to raising the tuning screw as it typically would.

  • If the vertical bar is at the top of the indicator, the resonator is not tuned.

  • The resonator may be in an undetermined state that may not necessarily correlate to lowering the tuning screw as it typically would.

FTS allows you to modify the indicator properties of a reference filter.

See Also:

Reference Filter

Tuning a Filter

Tuning Procedures


Window Configuration

During tuning, Agilent FTS will default to a standard view of the filter being tuned. The top half of the display will show a Log-Mag trace of all four S-Parameters. The bottom half will show a window of resonator indicators and a window of coupler indicators, as shown below:

This default window setup may not be the desired view of the filter being tuned. Agilent FTS allows you to customize the default view.

  • A custom view setup is referred to as a Window Configuration.

  • The Window Configuration is stored within the reference filter file, so a different Window Configuration can be used for each filter file.

  • A reference filter file can only contain a single Window Configuration.

What is Stored as the Window Configuration?

The following information is stored as the window configuration:

Main Agilent FTS application window

  • Size

Resonator Indicator window

  • Existence

  • Location

  • Size

Coupler Indicator window

  • Existence

  • Location

  • Size

Trace Display Windows

  • Existence

  • Location

  • Size

  • Format

  • Locations of markers

Scaling is not saved with the window configuration.

Saving a Window Configuration

The window configuration of a reference filter file can only be changed during the tuning process.

The window configuration can be saved during the tuning process, but it will only be retained while the current reference filter file is open. You must save the reference filter file again to save the new window configuration as the default configuration for that reference filter file.

Restore Saved Window Configuration

The Restore Saved Window Configuration command in the Window menu will restore the window configuration to the one saved with reference filter file.

Procedure

To Save a Window Configuration With the Reference Filter File

  1. From the File menu, select Open Reference Filter.... Select the reference filter file to be opened.

  2. From the Tune menu, select Start Tuning.

  3. Create the desired window configuration.

  4. From the Window menu, select Store the Current Window Configuration. This saves the window configuration while the current reference filter file is open.

  5. From the Tune menu, select Stop Tuning.

  6. From the File menu, select Save Reference Filter.

See Also:

Reference Filter File

Modifying a Reference Filter File

Display Options


New From Scratch

Create a New Reference Filter File: From Scratch

Agilent FTS uses a wizard to guide you through the process of creating a new reference filter file from scratch.

Click here to view the procedure, or click on the desired procedural step below to jump directly to it.

Stages of procedure:

Start Reference Filter Wizard

Enter Filter Properties

Edit Tuning Stage Spans

Measure/Verify Filter Response

Pick Coupling Peaks

Create Limits

Edit Resonator Indicator Properties

Edit Coupler Indicator Properties

Save File

Procedure

The reference filter must first be connected to the VNA to create a new reference filter file from scratch.

  1. From the File menu, select New Reference Filter, or click the New Reference Filter icon [image] on the Toolbar. The Filter Properties dialog will appear.

  2. Check the Adjustable Coupling box if the inter-stage main couplings of the filter are adjustable.

  3. Enter the value and units for the Center Frequency of the filter.

  4. Enter the value and units for the 3 dB Bandwidth of the filter.

  5. Enter the Number of Resonators of the filter.

  6. Enter the Number of Points.

  7. Enter the value and units for Electrical Delay, if any.

  8. Click Next. The Tuning Stage Spans dialog will appear.

  9. Enter the desired value and units for the Coarse Span. The default value is based on the value entered for the 3 dB Bandwidth.

  10. Enter the desired value and units for the Medium Span. The default value is based on the value entered for the 3 dB Bandwidth.

  11. Enter the desired value and units for the Fine Span. The default value is based on the value entered for the 3 dB Bandwidth.

  12. Select the Last resonator measured in S11.

  13. Click Next. The Verify Filter Response dialog will appear

  14. Verify that the filter responses displayed for the Course, Medium, and Fine spans are correct.

  15. If the filter responses are not correct, click Back and correct the tuning spans or filter parameters, as necessary.

  16. If the filter responses are correct, click Next. The Pick Peaks: Coarse Stage dialog will appear.

  17. Select the best Kaiser Beta value that will allow Agilent FTS to consistently detect the first coupling peaks in your production filters while showing the deepest nulls.

  18. If the displayed markers are not properly placed on the peaks corresponding to the couplers, move marker 1 to left of the first coupling peak and press Re-compute Peaks. Or move the coupling peak markers directly to their proper respective locations.

  19. Press Next. The Pick Peaks: Medium Stage dialog will appear.

  20. Repeat Steps 17-18.

  21. Press Next. The Pick Peaks: Fine Stage dialog will appear.

  22. Repeat Steps 17-18.

  23. Press Next. The Edit Limits dialog will appear.

  24. Click on the tab for the S-parameter of the limit.

  25. Click Add Limit Line.... The Limit Properties dialog will appear.

  26. In the Limit Type area, select if the limit type is to be maximum or minimum.

  27. In the Format area, select the format for the limit.

  28. In the Stimulus area, enter the value and units for the Begin frequency of the limit.

  29. In the Stimulus area, enter the value and units for the End frequency of the limit.

  30. In the Response area, enter the output level for Begin.

  31. In the Response area, enter the output level for End.

  32. Click OK

  33. To add more limit lines, repeat Steps 24-32.

  34. To add a Ripple Limit, click on the tab for the S-parameter of the ripple limit.

  35. Click Add Ripple Limit. The Ripple Properties dialog will appear.

  36. In the Stimulus area, enter the value and units for the Begin frequency of the ripple limit.

  37. In the Stimulus area, enter the value and units for the End frequency of the ripple limit.

  38. Enter the value for ripple tolerance.

Maximum allowable difference between the maximum level and minimum level over the specified frequency span

  39. In the Format area, select the desired format for the limit.

  40. Click OK.

  41. Click Next. The Resonator Indicator Properties dialog will appear.

  42. Click the tab to select the desired tuning stage in which to change resonator indicator properties.

  43. In the row corresponding to the desired resonator indicator, enter the desired Target value.

The measured value of the tuning element in the reference filter, represented by the line in the middle of the green band of the indicator

Note:

Do not change Target values, except with reasonable, theoretically correct values. If your filter has any cross-coupling, Agilent recommends that you not change Target values.

  44. In the row corresponding to the desired resonator indicator, enter the desired Span for the indicator. The default value for a resonator indicator is the measurement span of the current tuning stage.

This is the frequency span represented by the indicator.

  45. In the row corresponding to the desired resonator indicator, enter the desired span of the indicator that is to be Linear . The default value for a resonator indicator is 3 x Pass Band.

The area between the two blue lines represents the linear range of the indicator, while the portions of the indicator above the upper blue line and below the lower blue line are nonlinear regions.

  46. In the row corresponding to the desired resonator indicator, enter the desired span for the Pass Band. The default value for a resonator indicator is [(1% of 3 dB Bandwidth) + (0.1% Span of Tuning Stage)].

The green band in the middle of the indicator, which represents the tolerance band around the target value.

  47. In the row corresponding to the desired indicator, enter the desired value for the Linear Percent. The default value is 50%.

The percentage of the indicator span that is to be represented as the linear range.

  48. To view the effect of the changes to the selected indicator, click Update. The indicator in the dialog will display the current indicator property settings for that indicator.

  49. Click Next. The Coupler Indicator Properties dialog will appear.

  50. Click the tab to select the desired tuning stage in which to change the coupler indicator properties.

  51. In the row corresponding to the desired coupler indicator, enter the desired Target value.

Note:

Do not change Target values, except with reasonable, theoretically correct values. If your filter has any cross-coupling, Agilent recommends that you not change Target values.

  52. In the row corresponding to the desired coupler indicator, enter the desired Span for the indicator. The default value for a coupler indicator is 12 dB.

  53. In the row corresponding to the desired coupler indicator, enter the desired span of the indicator that is to be Linear. The default value for a coupler indicator is 6 dB.

  54. In the row corresponding to the desired coupler indicator, enter the desired span for the Pass Band. The default value for a coupler indicator is 3 dB.

  55. In the row corresponding to the desired indicator, enter the desired value for the Linear Percent. The default value is 50%.

  56. To view the effect of the changes to the selected indicator, click Update. The indicator in the dialog will display the current indicator property settings for that indicator.

  57. Click Finish. The Save Filter? dialog will appear.

  58. If you would like to save your new reference filter file, click Yes. The Save As dialog will appear.

  59. Enter the desired name for the new reference filter file.

  60. Browse to the desired location to store the new reference filter file.

  61. Click Save.

See Also:

Modify Reference Filter Properties

Limits

Indicators


New From Template

Create a New Reference Filter File: From a Template

Agilent FTS allows you to use an existing reference filter file as a template for creating a new reference filter file. Agilent FTS uses a wizard to guide you through this process.

  • Once you select the file to use as a template, the wizard will guide you through the same dialogs used in creating a new reference filter file from scratch.

  • The dialog entries for Filter Properties, Tuning Stage Spans, and Edit Limits will be populated with the information from the selected template file. Simply change them to the desired values.

  • You need to pick the peaks for the new filter. The resonator and coupler indicator properties are based on the information gathered during the Pick Peaks step, so they will not match the properties from the template file.

Click here to view the procedure, or click on the desired procedural step below to jump directly to it.

Steps of procedure:

Open Template File

Edit Filter Properties

Edit Tuning Stage Spans

Measure/Verify Filter Response

Pick Coupling Peaks

Edit Limits

Edit Resonator Indicator Properties

Edit Coupler Indicator Properties

Save File

Procedure

The reference filter must first be connected to the VNA to create a new reference filter file from a template.

  1. From the File menu, select New from Template.... The Open dialog will appear.

  2. Select the desired .flt format file for the template.

  3. Click Open. The Filter Properties dialog will appear, populated with the properties of the template filter file.

  4. Toggle the Adjustable Coupling box to change the setting of whether the inter-stage main couplings of the filter are adjustable, if desired.

  5. Change the value and units for the Center Frequency of the filter, if desired.

  6. Change the value and units for the 3 dB Bandwidth of the filter, if desired.

  7. Change the Number of Resonators of the filter, if desired.

  8. Change the Number of Points, if desired.

  9. Change the value and units for Electrical Delay, if any, if desired.

  10. Click Next. The Tuning Stage Spans dialog will appear.

  11. Change the desired value and units for the Coarse Span, if desired. The default value is based on the value entered for the 3 dB Bandwidth.

  12. Change the desired value and units for the Medium Span, if desired. The default value is based on the value entered for the 3 dB Bandwidth.

  13. Change the desired value and units for the Fine Span, if desired. The default value is based on the value entered for the 3 dB Bandwidth.

  14. Select the Last resonator measured in S11.

  15. Click Next. The Verify Filter Response dialog will appear

  16. Verify that the filter responses displayed for the Course, Medium, and Fine spans are correct.

  17. If the filter responses are not correct, click Back and correct the tuning spans or filter parameters, as necessary.

  18. If the filter responses are correct, click Next. The Pick Peaks: Coarse Stage dialog will appear.

  19. Select the best Kaiser Beta value that will allow Agilent FTS to consistently detect the first coupling peaks in your production filters while showing the deepest nulls.

  20. If the displayed markers are not properly placed on the peaks corresponding to the couplers, move marker 1 to left of the first coupling peak and press Re-compute Peaks. Or move the coupling peak markers directly to their proper respective locations.

  21. Press Next. The Pick Peaks: Medium Stage dialog will appear.

  22. Repeat Steps 19-20.

  23. Press Next. The Pick Peaks: Fine Stage dialog will appear.

  24. Repeat Steps 19-20.

  25. Press Next. The Edit Limits dialog will appear.

Note:

All the limits from the template file will be included with the new reference filter file. Add, edit, or remove limits to reflect the specifications of the new filter.

  26. Click on the tab for the S-parameter of the limit.

  27. Click Add Limit Line.... The Limit Properties dialog will appear.

  28. In the Limit Type area, select if the limit type is to be maximum or minimum.

  29. In the Format area, select the format for the limit.

  30. In the Stimulus area, enter the value and units for the Begin frequency of the limit.

  31. In the Stimulus area, enter the value and units for the End frequency of the limit.

  32. In the Response area, enter the output level for Begin.

  33. In the Response area, enter the output level for End.

  34. Click OK

  35. To add more limit lines, repeat Steps 26-34.

  36. To add a Ripple Limit, click on the tab for the S-parameter of the ripple limit.

  37. Click Add Ripple Limit. The Ripple Properties dialog will appear.

  38. In the Stimulus area, enter the value and units for the Begin frequency of the ripple limit.

  39. In the Stimulus area, enter the value and units for the End frequency of the ripple limit.

  40. Enter the value for ripple tolerance.

Maximum allowable difference between the maximum level and minimum level over the specified frequency span

  41. In the Format area, select the desired format for the limit.

  42. Click OK.

  43. Click Next. The Resonator Indicator Properties dialog will appear.

  44. Click the tab to select the desired tuning stage in which to change resonator indicator properties.

  45. In the row corresponding to the desired resonator indicator, enter the desired Target value.

The measured value of the tuning element in the reference filter, represented by the line in the middle of the green band of the indicator

Note:

Do not change Target values, except with reasonable, theoretically correct values. If your filter has any cross-coupling, Agilent recommends that you not change Target values.

  46. In the row corresponding to the desired resonator indicator, enter the desired Span for the indicator. The default value for a resonator indicator is the measurement span of the current tuning stage.

This is the frequency span represented by the indicator.

  47. In the row corresponding to the desired resonator indicator, enter the desired span of the indicator that is to be Linear . The default value for a resonator indicator is 3 x Pass Band.

The area between the two blue lines represents the linear range of the indicator, while the portions of the indicator above the upper blue line and below the lower blue line are nonlinear regions.

  48. In the row corresponding to the desired resonator indicator, enter the desired span for the Pass Band. The default value for a resonator indicator is [(1% of 3 dB Bandwidth) + (0.1% Span of Tuning Stage)].

The green band in the middle of the indicator, which represents the tolerance band around the target value.

  49. In the row corresponding to the desired indicator, enter the desired value for the Linear Percent. The default value is 50%.

The percentage of the indicator span that is to be represented as the linear range.

  50. To view the effect of the changes to the selected indicator, click Update. The indicator in the dialog will display the current indicator property settings for that indicator

  51. Click Next. The Coupler Indicator Properties dialog will appear.

  52. Click the tab to select the desired tuning stage in which to change the coupler indicator properties.

  53. In the row corresponding to the desired coupler indicator, enter the desired Target value.

Note:

Do not change Target values, except with reasonable, theoretically correct values. If your filter has any cross-coupling, Agilent recommends that you not change Target values.

  54. In the row corresponding to the desired coupler indicator, enter the desired Span for the indicator. The default value for a coupler indicator is 12 dB.

  55. In the row corresponding to the desired coupler indicator, enter the desired span of the indicator that is to be Linear. The default value for a coupler indicator is 6 dB.

  56. In the row corresponding to the desired coupler indicator, enter the desired span for the Pass Band. The default value for a coupler indicator is 3 dB.

  57. In the row corresponding to the desired indicator, enter the desired value for the Linear Percent. The default value is 50%.

  58. To view the effect of the changes to the selected indicator, click Update. The indicator in the dialog will display the current indicator property settings for that indicator.

  59. Click Finish. The Save Filter? dialog will appear.

  60. If you would like to save your new reference filter file, click Yes. The Save As dialog will appear.

  61. Enter the desired name for the new reference filter file.

  62. Browse to the desired location to store the new reference filter file.

  63. Click Save.

See Also:

New Reference Filter File: From Scratch

New Reference Filter File: From Simulation

Modify Reference Filter Properties

Tuning Stages

Tuning Spans

Limits

Indicators


New From Simulation

Create a New Reference Filter File: From Simulation Data

Agilent FTS allows you to use data from simulation software as the basis for a reference filter file.

Agilent FTS requires three .s2p An industry-standard S-parameter file format for microwave simulation programs, such as Touchstone, Libra and Super-Compact format files to define the reference filter, one for each of three tuning stages. The center frequency values in the simulation files used for the Coarse, Medium, and Fine tuning stages must match.

Agilent FTS can also interpolate the Medium and Fine stage data from a single Coarse stage .s2p file.

  • The number of data points to be used for tuning must be specified.

  • Agilent recommends that you use a Coarse stage .s2p file with 1601 points .

Agilent FTS uses a wizard to guide you through the process of creating a new reference filter file from simulation data.

Click here to view the procedure, or click on the desired procedural step below to jump directly to it.

Stages of procedure:

Start Reference Filter Wizard

Tuning Stage Spans

Enter Filter Properties and Specify .s2p File

Verify Filter Response

Pick Coupling Peaks

Create Limits

Edit Resonator Indicator Properties

Edit Coupler Indicator Properties

Save File

Procedure

  1. From the File menu, select New from Simulation.... The Load S2P dialog will appear.

  2. Select the Number of Points to be used for tuning.

  3. Check the Adjustable Coupling box if the inter-stage main couplings of the filter are adjustable.

  4. Enter the Number of Resonators of the filter.

  5. Enter the value and units for the 3 dB Bandwidth of the filter.

  6. Enter the value and units for Electrical Delay, if any.

  7. In the Coarse Tuning Stage area of the dialog, browse to locate the .s2p file for the Coarse Tuning stage.

  8. Select Interpolate Medium and Fine Stages, if desired. If so, skip to Step 11.

  9. In the Medium Tuning Stage area of the dialog, browse to locate the .s2p file for the Medium Tuning stage.

  10. In the Fine Tuning Stage area of the dialog, browse to locate the .s2p file for the Fine Tuning stage.

  11. Click Next. The Tuning Stage Spans dialog appears.

  12. Edit the Coarse, Medium, or Fine tuning span, if desired. The Coarse span cannot be changed to a value broader than that of the Coarse span .s2p file. The Fine span cannot be changed to a value less than twice the 3 dB Bandwidth.

  13. Select the Last resonator measured in S11.

  14. Click Next. The Verify Filter Response dialog will appear.

  15. Verify that the filter responses displayed for the Course, Medium, and Fine spans are correct.

  16. If the filter responses are not correct, click Back and correct the tuning spans or filter parameters, as necessary.

  17. If the filter responses are correct, click Next. The Pick Peaks: Coarse Stage dialog will appear.

  18. Select the best Kaiser Beta value that will allow Agilent FTS to consistently detect the first coupling peaks in your production filters while showing the deepest nulls.

  19. If the displayed markers are not properly placed on the peaks corresponding to the couplers, move marker 1 to left of the first coupling peak and press Re-compute Peaks. Or move the coupling peak markers directly to their proper respective locations.

  20. Press Next. The Pick Peaks: Medium Stage dialog will appear.

  21. Repeat Steps 18-19.

  22. Press Next. The Pick Peaks: Fine Stage dialog will appear.

  23. Repeat Steps 18-19.

  24. Press Next. The Edit Limits dialog will appear.

  25. Click on the tab for the S-parameter of the limit.

  26. Click Add Limit Line.... The Limit Properties dialog will appear.

  27. In the Limit Type area, select if the limit type is to be maximum or minimum.

  28. In the Format area, select the format for the limit.

  29. In the Stimulus area, enter the value and units for the Begin frequency of the limit.

  30. In the Stimulus area, enter the value and units for the End frequency of the limit.

  31. In the Response area, enter the output level for Begin.

  32. In the Response area, enter the output level for End.

  33. Click OK

  34. To add more limit lines, repeat Steps 25-33.

  35. To add a Ripple Limit, click on the tab for the S-parameter of the ripple limit.

  36. Click Add Ripple Limit. The Ripple Properties dialog will appear.

  37. In the Stimulus area, enter the value and units for the Begin frequency of the ripple limit.

  38. In the Stimulus area, enter the value and units for the End frequency of the ripple limit.

  39. Enter the value for ripple tolerance.

Maximum allowable difference between the maximum level and minimum level over the specified frequency span

  40. In the Format area, select the desired format for the limit.

  41. Click OK.

  42. Click Next. The Resonator Indicator Properties dialog will appear.

  43. Click the tab to select the desired tuning stage in which to change resonator indicator properties.

  44. In the row corresponding to the desired resonator indicator, enter the desired Target value.

The measured value of the tuning element in the reference filter, represented by the line in the middle of the green band of the indicator

Note:

Do not change Target values, except with reasonable, theoretically correct values. If your filter has any cross-coupling, Agilent recommends that you not change Target values.

  45. In the row corresponding to the desired resonator indicator, enter the desired Span for the indicator. The default value for a resonator indicator is the measurement span of the current tuning stage.

This is the frequency span represented by the indicator.

  46. In the row corresponding to the desired resonator indicator, enter the desired span of the indicator that is to be Linear . The default value for a resonator indicator is 3 x Pass Band.

The area between the two blue lines represents the linear range of the indicator, while the portions of the indicator above the upper blue line and below the lower blue line are nonlinear regions.

  47. In the row corresponding to the desired resonator indicator, enter the desired span for the Pass Band. The default value for a resonator indicator is [(1% of 3 dB Bandwidth) + (0.1% Span of Tuning Stage)].

The green band in the middle of the indicator, which represents the tolerance band around the target value.

  48. In the row corresponding to the desired indicator, enter the desired value for the Linear Percent. The default value is 50%.

The percentage of the indicator span that is to be represented as the linear range.

  49. To view the effect of the changes to the selected indicator, click Update. The indicator in the dialog will display the current indicator property settings for that indicator

  50. Click Next. The Coupler Indicator Properties dialog will appear.

  51. Click the tab to select the desired tuning stage in which to change the coupler indicator properties.

  52. In the row corresponding to the desired coupler indicator, enter the desired Target value.

Note:

Do not change Target values, except with reasonable, theoretically correct values. If your filter has any cross-coupling, Agilent recommends that you not change Target values.

  53. In the row corresponding to the desired coupler indicator, enter the desired Span for the indicator. The default value for a coupler indicator is 12 dB.

  54. In the row corresponding to the desired coupler indicator, enter the desired span of the indicator that is to be Linear. The default value for a coupler indicator is 6 dB.

  55. In the row corresponding to the desired coupler indicator, enter the desired span for the Pass Band. The default value for a coupler indicator is 3 dB.

  56. In the row corresponding to the desired indicator, enter the desired value for the Linear Percent. The default value is 50%.

  57. To view the effect of the changes to the selected indicator, click Update. The indicator in the dialog will display the current indicator property settings for that indicator

  58. Click Finish. The Save Filter? dialog will appear.

  59. If you would like to save your new reference filter file, click Yes. The Save As dialog will appear.

  60. Enter the desired name for the new reference filter file.

  61. Browse to the desired location to store the new reference filter file.

  62. Click Save.

See Also:

New Reference Filter File: From Scratch

New Reference Filter File: From Template

Modify Reference Filter Properties

Limits

Indicators


Modify Golden Filter

Modify Reference Filter File

Agilent FTS allows you to modify existing reference filter files.

No additional measurements are necessary, so the reference filter does not need to be connected to the VNA. The existing filter performance data is used, although it may be adjusted by Agilent FTS to compensate for the new settings.

Agilent FTS stores the following information in a reference filter file. Click to view if the information can be edited and the repercussions of such a modification.

  • Filter characteristics

  • Tuning measurement spans

  • Filter performance data

  • Limits

  • Indicator properties

  • Window configuration

Reference Filter Characteristics

Click to see the procedure to modify reference filter characteristics.

Characteristic

Modification & Repercussions

Adjustable Coupling

You can change the setting of whether a reference filter has adjustable coupling. If the adjustable coupling is deselected (OFF), the coupling indicators will still show the performance of couplers but they are never highlighted in Guided Tuning.

Center Frequency

You can change the center frequency. The center frequency used with the measurement tuning span for each tuning stage is changed to the new value. The tuning target values used in the resonator indicators are shifted by the amount of the change to the center frequency (New CF - Old CF)

3 dB Bandwidth

You can change the 3 dB Bandwidth. The measurement tuning spans will be scaled by the ratio of the new 3 dB Bandwidth to the old 3 dB Bandwidth. The same filter performance data from the original file is used, but it is processed by Agilent FTS to compensate for the change in 3 dB Bandwidth. The Resonator Indicator spans will also be scaled. You will have to pick the peaks for each tuning stage again.

Number of Resonators

Once you have created a reference filter file, you cannot change the number of resonators. You must create a new reference filter file with the desired number of resonators, although you can use the existing file as a template to create the new file.

Number of Data Points

Once you have created a reference filter file, you cannot change the number of data points. You must create a new reference filter file with the desired number of data points, although you can use the existing file as a template to create the new file.

Electrical Delay

You can change the electrical delay. This will not affect any other aspect of the reference filter file.

Measurement Tuning Spans

You cannot directly change the measurement tuning spans once a reference filter has been created and saved.

  • The center frequency used with the measurement tuning spans is shifted to the new value when you change the center frequency of the reference filter file.

  • The measurement tuning spans are scaled by the ratio of the new 3 dB Bandwidth to the old 3 dB Bandwidth when you change the 3 dB Bandwidth of the reference filter file.

Filter Performance Data

The existing filter performance data is used, although it may be adjusted by Agilent FTS to compensate for any changes in Center Frequency or in 3 dB Bandwidth. No additional measurements are necessary, so the reference filter does not need to be connected to the VNA.

Limits

The only way to change existing limits in a reference filter file is to use the Edit menu to specifically edit the limits. Click to view the procedure to:

  • Add Limit Lines

  • Edit Existing Limits

  • Remove Limits

Any changes to the reference filter characteristics, including modifications of center frequency or 3 dB Bandwidth, will not modify any of the existing limits.

  • You are responsible for editing the limits to compensate for any changes to the reference filter characteristics.

  • You must save the reference filter file again to save any changes to the limits.

Any changes to the limits of a reference filter file will not affect any other parameter in the reference filter file.

Indicator Properties

Agilent FTS allows you to edit the properties of each individual indicator for each tuning stage. Click to view the indicator editing procedures.

Any changes to the indicator properties of a reference filter file will not affect any other parameter in the reference filter file.

Window Configuration

Agilent FTS allows you to change the window configuration stored with the reference filter file.

The reference filter file must be open and tuning must be started in order to change the window configuration from the default.

Adjust the window to the desired configuration.

From the Window menu, select Save the Current Window Configuration.

Procedure

To Modify Filter Characteristics

  1. From the Edit menu, select Filter Characteristics.... The Edit Filter Characteristics dialog will appear.

  2. Click in the Adjustable Couplers box to change the state of this feature (enable or disable).

  3. In the Center Frequency area, enter the new value.

  4. In the Electrical Delay area, enter the new value. If you do not want to change the 3 dB Bandwidth, click OK. (Verify if limits need modification to accommodate changes to filter characteristics. Save changes to the reference filter file.)

  5. In the 3 dB Bandwidth area, click Edit. The Change Bandwidth dialog will appear.

  6. In the 3 dB Bandwidth area, enter the new value.

  7. Click Next. The Tuning Stage Spans dialog will appear. This dialog is for your information only. No values can be changed.

  8. Click Next. The Verify Filter Response dialog will appear.

  9. Click Next. The Pick Peaks: Coarse dialog will appear.

  10. Inspect the Pick Peaks: Coarse Stage dialog.

  11. To enlarge a specific part of a trace, define the area to be magnified by placing the pointer in the desired starting position.

    1. Hold down the left mouse button and drag the mouse to define the portion of the trace to magnify.

  1. Release the mouse button to zoom into the defined area

  12. If the displayed markers are not properly placed on the peaks corresponding to the couplers, move marker 1 to left of the first coupling peak and press Re-compute Peaks. Or move the coupling peak markers directly to their proper respective locations.

  13. Press Next. The Pick Peaks: Medium Stage dialog will appear.

  14. Repeat Step 12.

  15. Press Next. The Pick Peaks: Fine Stage dialog will appear.

  16. Repeat Step 12.

  17. Press Finish. The Edit Filter Characteristics dialog will appear again. The new value for the 3 dB Bandwidth value should be displayed in the dialog.

  18. Press OK to perform the changes. You must save the file to permanently commit the changes to the reference filter file.

See Also:

Tuning a Filter

New Reference Filter File: From Template


Tuning a Filter

Tuning Procedures

Which Tuning Stage Do I Start With?

Which Resonator Do I Tune First?

When Is a Resonator or Coupler Tuned?

When Has a Tuning Stage Been Completed?

When is a Filter Tuned?

When is a Filter Untunable With FTS?

Which Tuning Stage Do I Start With?

FTS initiates a broadband measurement sweep when you start the tuning process with a filter.

FTS determines which tuning stage to start with, based on the criteria in the following table. FTS will never start in the Fine Mode.

Start Tuning In:

If:

Medium Stage

Agilent FTS can clearly detect the input coupler, and each resonator is within the 3 dB Bandwidth of its respective target.

Coarse Stage

Agilent FTS cannot detect the input coupler and all resonators

or

Any resonator is more than the 3 dB Bandwidth from its respective target

Which Resonator Do I Tune First?

Agilent FTS can indicate the order in which to tune resonators with the Guided Tuning feature.

With Guided Tuning enabled, Agilent FTS shows you which resonator or coupler is the furthest off from its target by highlighting it. The following criteria are used to determine which indicator is to be highlighted:

  • How far the tuning element is off from its target value

  • The position of the tuning element relative to the input and output ports

    • Agilent FTS uses an outside-to-inside prioritization scheme, with tuning elements closer to the ports (outside) receiving higher priority.

You can also disable Guided Tuning and tune the resonators and couplers in any order you choose.

When Is a Resonator or Coupler Tuned?

The tuning indicators clearly show you whether each tuning element is meeting the target within specified tolerance levels.

  • The span of the indicator corresponds to the measurement span (default) of the current tuning stage for resonators.

  • The green band in the middle of the indicator is the passband, which represents the tolerance band around the target.

  • The line in the middle of the green band is the target.

Note:

It may not be necessary for all resonators or couplers to match the targets in order to meet filter specifications. See Limits.

  • The area between the blue lines represents the linear range of the indicator. The portions of the indicator above the upper blue line and below the lower blue line are nonlinear regions.

  • The vertical bar represents the state of the resonator (or coupler).

  • If the top of the red bar is above the green zone, the resonator is above the target.

  • For most filters, this means the tuning screw needs to be lowered.

  • If the top of the red bar is below the green zone, the resonator is below the target level.

  • For most filters, this means the tuning screw needs to be raised.

  • If the bar is blue, the resonator is tuned within the specified passband or tolerance level.

Note: Interaction between resonators and couplers may cause a tuning element that was tuned to become untuned when you are adjusting other tuning elements. Tuning is an iterative process - you may have to tune the same indicator several times during the same tuning stage until all resonators and couplers are tuned.

  • If there is no vertical bar visible, the resonator is not tuned.

  • The resonator may be in an undetermined state that may not necessarily correlate to raising the tuning screw as it typically would.

  • If the vertical bar is at the top of the indicator, the resonator is not tuned.

  • The resonator may be in an undetermined state that may not necessarily correlate to lowering the tuning screw as it typically would.

When Has a Tuning Stage Been Completed?

A tuning stage has been completed when the indicators for all tuning elements have the blue vertical bar in the green pass zone.

It is possible to advance to the next tuning mode even if all tuning elements do not have the blue vertical bar in the green pass zone.

When is a Filter Tuned?

  • The only way of verifying that a filter is tuned to meet specifications is through the use of limits.

  • The indicators are visual tuning guides that reflect the state of individual filter elements compared to the reference value, but the limit results reflect the overall performance of the filter.

  • The indicators may show that not all resonators and couplers are tuned to match the reference filter, but the filter performance may still meet the specified limits.

  • Use limit specifications in FTS as you would with your network analyzer.

  • Agilent Technologies recommends that you use the Limit Evaluation feature as the final confirmation that a filter is tuned.

Note:

There is a common behavior that may seem confusing. On some occasions, all the tuning indicators will be in a passing state in the Fine stage, but the same indicators that were passing in the Fine stage will show an out-of-tune state with the wider span of the Medium or Coarse stage. This behavior is normal and does not indicate that the filter is not tuned. Each stage has its own unique tuning targets. An indicator's target value may not be the same in all three stages.

When is a Filter Untunable With FTS?

It is possible for FTS to become unable to resolve the current value of one or more of the tuning elements in a filter.

  1. If there is no vertical bar visible or if the vertical bar is at the top of the indicator, the resonator (or coupler) is not tuned.

The tuning element is in an undetermined state that may not necessarily correlate to raising or lowering the tuning screw as it typically would.

This could happen if the coupling peaks in the time domain S11 and S22 traces are not located properly when creating the reference filter file, because Agilent FTS will be using incorrect tuning targets.

    • The solution is to recreate or modify the reference filter file, taking care to locate the coupling peaks properly.

  1. A condition that could cause a filter to be untunable is lack of tuning range of an element.

Example:

If FTS measures a resonator to be 60 MHz from its target and the range in the tuning screw only allows for a 40 MHz adjustment, then that filter cannot be completely tuned.

  3. A non-adjustable input or output coupler that deviates significantly from the value measured with the reference filter can affect your ability to adjust tuning elements to the specified target values. Such a situation can be verified using time domain traces and markers.

See Also:

Save Tuning Data

Reference Filters

Limits

Troubleshooting

Network Analyzer

Display Options


Tuning Modes

Tuning Stages

FTS uses a gradual visual approach to home in on the tuning targets established with the reference filter.

FTS initiates a broadband measurement sweep when you start the tuning process with a filter.

  • To support filters in a variety of tuning states, including those that may be completely untuned, FTS operates in three stages of tuning.

  • FTS determines which tuning stage to start with based on the criteria below.

    • Agilent FTS will never start in the Fine stage.

Start Tuning In:

If:

Medium Stage

Agilent FTS can clearly detect the input coupler, and each resonator is within the 3 dB Bandwidth of its respective target.

Coarse Stage

Agilent FTS cannot detect the input coupler and all resonators

or

Any resonator is more than the 3 dB Bandwidth from its respective target

Each tuning stage has its own tuning targets, as shown below.

Tuning Stage

Tuning Targets

Coarse

The target value for each tuning element in this stage is based on the results from the Coarse span sweep of the reference filter.

Medium

The target value for each tuning element in this stage is based on the results from the Medium span sweep of the reference filter.

Fine

The target value for each tuning element in this stage is based on the results from the Fine span sweep of the reference filter.

Note:

There is a common behavior that may seem confusing. On some occasions, all the tuning indicators will be in a passing state in the Fine stage, but the same indicators that were passing in the Fine stage will show an out-of-tune state with the wider span of the Medium or Coarse stage. This behavior is normal and does not indicate that the filter is not tuned. Each stage has its own unique tuning targets. An indicator's target value may not be the same in all three stages.

See Also:

Indicator Properties

Tuning Spans

Reference Filter Performance Data

Tuning a Filter - Overview

Tuning Procedures

Reference Filter


Guided Tuning

Agilent FTS can show you which resonator or coupler is the furthest off from its target by highlighting it. The following criteria are used to determine which indicator is to be highlighted:

  • How far the tuning element is off from its target value

  • The position of the tuning element relative to the input and output ports

    • Agilent FTS uses an outside-to-inside prioritization scheme, with tuning elements closer to the ports (outside) receiving higher priority.

To Use Guided Tuning

  1. From the Tune menu, select Guided Tuning to enable the Guided Tuning feature. Or click the Guided Tuning button [image] on the Toolbar.

  2. The highlighted tuning element will stay highlighted until the element is tuned. Adjust the resonator or coupler corresponding to the highlighted indicator until the vertical bar is blue and its end is within the green passband. FTS may take 1-2 seconds until it highlights the next tuning element.

  3. Adjust the resonator or coupler corresponding to the next highlighted indicator until the top of the bar is in the green passband and the vertical bar turns blue.

  4. Repeat Step 3 until all tuning elements are tuned for the Coarse stage.

  5. Change tuning stage to Medium stage.

  6. Repeat Steps 2-3 until all tuning elements are tuned for the Medium stage.

  7. Change to Fine stage.

  8. Repeat Steps 2-3 until all tuning elements are tuned for the Fine stage.

  9. Evaluate limits to verify that the filter is tuned.

See Also:

Tuning Procedures

Dynamic Coupler Search


Saving Tuning Data

FTS allows you to save tuning data at any point during a tuning session.

FTS saves tuning data for all four S-parameters of the current tuning stage in a .s2p format file.

An industry-standard S-parameter file format for microwave simulation programs, such as Touchstone, Libra and Super-Compact

To Select the Data Format for .s2p Files

  1. From the Setup menu, select Options.... The Options dialog appears.

  2. Click the S2P Format Selection tab at the top of the dialog.

  3. Select the data format to be used whenever an .s2p file is saved.

  4. Click OK.

To Save Tuning Data

  1. From the Tune menu, select Store Data As.... Or click the [image] button on the Toolbar The Save As dialog appears.

  2. Select the destination for the .s2p file.

  3. Click OK.

See Also:

Tuning a Filter

Reference Filter


Speed vs. Accuracy

Speed vs. Resolution

The goal with Agilent FTS is to update the traces and indicators as frequently as possible to allow for better visual feedback when adjusting tuning elements. Agilent FTS is most usable with a minimum of three updates per second.

Factors that affect the update rate of FTS are

  • sweep speed of the VNA

  • number of data points

  • computer speed

The VNA sweep speed can be increased by selecting Hide VNA Display in the VNA Properties dialog. This eliminates the time it takes to refresh the VNA display after each sweep, thus reducing the overall sweep speed.

Increasing the number of data points will improve the resolution but will also potentially reduce the update rate:

  • The increased number of data points will slow the VNA sweep speed.

  • The additional data will require additional processing time in Agilent FTS for updating the indicators.

A computer with higher clock speed will reduce the data processing time in Agilent FTS for updating the indicators to some degree. However, other factors can affect the update rate of Agilent FTS, such as other applications running on the computer or the performance of the VNA. Thus a faster computer may not provide a significantly improved update rate.

See Also:

Computer Requirements

Network Analyzer

Reference Filter File Overview

Tuning a Filter


Tuning Procedures

Open a Reference Filter File

Start Tuning a Filter

Stop Tuning

Pause Tuning

Change Tuning Stages

Use Indicators To Adjust Resonators

Use Guided Tuning

Use Dyamic Coupler Search

Tune Manually

Evaluate Limits

To Open a Reference Filter File

  1. From the File menu, select Open Filter....Or click the [image] button on the Toolbar. The Open dialog will appear.

  2. Select the desired reference filter file.

  3. Click OK.

To Start Tuning a Filter

You cannot start the tuning operation unless a reference filter has been opened.

  1. From the Tune menu, select Start Tuning. Or click the [image] button on the Toolbar. FTS will initiate tuning in either the Coarse or Medium tuning stage.

To Stop Tuning

When tuning is stopped, the following occur:

  • The Trace and Indicator windows are closed.

  • The VNA Status bar at the bottom of the FTS window will show Not In Use.

  • The reference filter file remains loaded.

  • Control is restored to the VNA, with Continuous sweep mode and correction turned on.

The procedure to start a tuning session is as follows:

  1. From the Tune menu, select Stop Tuning. Or click the [image] button on the Toolbar.

  2. To start a new tuning session, select Start Tuning from the Tune menu or click the [image] button on the Toolbar.

To Pause Tuning

When tuning is paused, the following occur:

  • The Trace and Indicator windows stay displayed, but they are not updated and appear frozen.

  • The VNA Status bar at the bottom of the FTS window will show Not In Use.

  • The reference filter file remains loaded.

  • Control is restored to the VNA, with Continuous sweep mode and correction turned on.

The benefit of pausing rather than stopping the tuning process is that this allows you to inspect the most recently measured traces and indicator states as you make manual measurements with your VNA.

The procedure to pause a tuning session is as follows:

  1. From the Tune menu, select Pause Tuning. Or click the [image] button on the Toolbar.

  2. To resume tuning, select Start Tuning from the Tune menu or click the [image] button on the Toolbar.

To Change Tuning Stages

  1. From the Tune menu, select Next Stage or the specific tuning stage you wish to be in (Medium or Fine). Or click the [image] button on the Toolbar.

  2. From the Tune menu, select Previous Stage or the specific tuning stage you wish to be in (Coarse or Medium). Or click the [image] button on the Toolbar.

To Use Indicators To Adjust Resonators

The vertical bar represents the state of the resonator.

  • If the bar is red, the resonator is not tuned to within the tolerance level of its target value.

  • For most filters, the relative height of the indicator bar corresponds to the height of the tuning screw in the filter.

  • If the top of the red bar is above the green zone, the resonator is above the target.

  • For most filters, this means the tuning screw needs to be lowered.

  • If the top of the red bar is below the green zone, the resonator is below the target level.

  • For most filters, this means the tuning screw needs to be raised.

  • If the bar is blue, the resonator is tuned within the specified passband or tolerance level.

  • If there is no vertical bar visible, the resonator is not tuned.

  • The resonator may be in an undetermined state that may not necessarily correlate to raising the tuning screw as it typically would.

  • If the vertical bar is at the top of the indicator, the resonator is not tuned.

  • The resonator may be in an undetermined state that may not necessarily correlate to lowering the tuning screw as it typically would.

Interaction between resonators and couplers may cause a tuning element that was tuned to become untuned when you are adjusting other tuning elements.

Tuning is an iterative process - you may have to tune the same indicator several times during the same tuning stage until all resonators and couplers are tuned.

Note:

There is a common behavior that may seem confusing. On some occasions, all the tuning indicators will be in a passing state in the Fine stage, but the same indicators that were passing in the Fine stage will show an out-of-tune state with the wider span of the Medium or Coarse stage. This behavior is normal and does not indicate that the filter is not tuned. Each stage has its own unique tuning targets. An indicator's target value may not be the same in all three stages.

To Use Guided Tuning

  1. From the Tune menu, select Guided Tuning to enable the Guided Tuning feature. Or click the [image] button on the Toolbar.

  2. The highlighted tuning element will stay highlighted until the element is tuned. Adjust the resonator or coupler corresponding to the highlighted indicator until the vertical bar is blue and its end is within the green passband. FTS may take 1-2 seconds until it highlights the next tuning element.

  3. Adjust the resonator or coupler corresponding to the next highlighted indicator until the top of the bar is in the green passband and the vertical bar turns blue.

  4. Repeat Step 3 until all tuning elements are tuned for the Coarse stage.

  5. Change to the Medium tuning stage.

  6. Repeat Steps 2-3 until all tuning elements are tuned for the Medium stage.

  7. Change to the Fine tuning stage.

  8. Repeat Steps 2-3 until all tuning elements are tuned for the Fine stage.

  9. Evaluate limits to verify that the filter is tuned.

To Use Dynamic Coupler Search

The results of the Dynamic Coupler Search feature can only be viewed with the time domain traces for S11 and S22, with the Show Coupling Markers feature enabled.

  1. From the Tune menu, select Show Coupling Markers to enable the Coupling Peak Markers feature. Or click the [image] button on the toolbar.

  2. From the Tune menu, select Dynamic Coupler Search to enable the Dynamic Coupler Search feature. Or click the [image] button on the toolbar. This feature is automatically disabled when you change tuning stages.

  3. It may be necessary to disable the Dynamic Coupler Search if it misidentifies any couplers. From the Tune menu, select Dynamic Coupler Search to disenable it. Or click the [image] button on the toolbar (toggle).

To Tune Manually

Agilent recommends you consider the position of the tuning element relative to the input and output ports to determine the tuning order when using Agilent FTS with Guided Tuning disabled

  • Use an outside-to-inside scheme, tuning those elements closest to the ports (outside) before those farthest from the ports (inside).

Time-domain tuning techniques can provide guidance when tuning manually, particularly when any indicators are in an undetermined state.

  1. Adjust the resonator or coupler until the vertical bar of its indicator is blue and its end is within the green passband.

  2. Repeat Step 1 until all tuning elements are tuned for the Coarse stage.

  3. Change to the Medium stage.

  4. Repeat Step 1 until all tuning elements are tuned for the Medium stage.

  5. Change to the Fine stage.

  6. Repeat Step1 until all tuning elements are tuned for the Fine stage.

  7. Evaluate limits to verify that the filter is tuned.

To Evaluate Limits

  1. From the Tune menu, select Evaluate Limits. Or click the [image] button on the Toolbar. The Limit Evaluation dialog appears.

See Also:

Indicator Properties

Save Tuning Data

Limits

Reference Filter


Traces

Trace Display Properties

Agilent FTS allows you to create trace windows with a variety of formats.

  • Trace windows can only be created, modified, or removed during the tuning process. The position, properties, number, and geometry of the trace and indicator windows can be saved with the window configuration.

  • New or modified trace windows will not be saved with the reference filter file unless the reference filter file is saved after the window configuration has been saved.

A window can display only one trace format. Create new windows to display other formats.

To Create a New Trace Window

  1. From the Window menu, select New Trace Window, or click the New Trace Display Window icon [image] on the Toolbar. A new trace window will appear directly over the old trace window.

To Set Trace Properties of a Window

  1. Right-click in the desired trace window to activate it.

  2. From the Window menu, select Trace Display Properties. The Trace Display Properties dialog will appear.

  3. In the S Parameters area of the dialog, select the S Parameter traces to be displayed in the window.

  4. In the Show Reference Data, select if the corresponding traces from the reference filter are to be displayed.

  5. In the Display Options area, select the desired format for the traces in the window.

  6. In the Apply Electrical Delay area, select if electrical delay is to be applied to the traces in the window. (Applied for phase and group delay measurements only.)

  7. In the Electrical Delay area, enter the desired electrical delay value and units to compensate for line length or other features of the filter assembly or test set.

Note:

This value does not change the reference filter data. If you want to change electrical delay in the reference filter file, from the Edit menu select Filter Characteristics.

  8. Click OK.


Markers

Agilent FTS allows you to place and save markers.

The markers can only be created, modified, or removed during the tuning process. Marker placement can be saved with the window configuration (except for the Discrete setting).

All markers appear as triangles. Markers on a measured trace (solid trace) appear above the associated trace and point downward. Markers on a reference traces (dotted trace) appear below the associated reference trace and point upward.

Markers will not be saved with the reference filter file unless the reference filter file is saved after the window configuration is saved.

To Create and Place a Marker On a Trace

  1. Right-click in a trace window. The Trace menu appears. (This is the only way to display this menu.)

  2. Select Add marker to and the trace to which the marker is to be added.

  3. Place the pointer in the trace window and left-click to create the marker.

  4. Move the marker to the desired position. To enlarge a specific part of a trace, define the area to be magnified by placing the pointer in the desired starting position.

    1. Hold down the left mouse button and drag the mouse to define the portion of the trace to magnify.

  1. Release the mouse button to zoom into the defined area

  6. To define the marker position numerically, right-click on the marker to display the marker menu.

  7. Click Set marker. The Marker Properties dialog appears.

  8. In the Stimulus Point area, enter the value and units for the marker position on the X axis.

  9. Click Discrete if you want the marker to snap to the nearest actual data point. (This setting is not saved with the Window Configuration.)

  10. Click OK.

Markers will not be saved beyond a tuning session unless the current window configuration is saved.

Markers will not be saved with the reference filter file unless the reference filter file is saved again after the window configuration is saved.

To Remove a Marker

  1. Right-click on the marker to be removed. The Marker menu will appear.

  2. Select Remove:.


Coupling Peak Markers

Agilent FTS allows you to display the markers corresponding to the coupling peaks on the time-domain traces for S11 and S22 of your production filter.

This can be useful for guidance when filters are very out-of-tune and when tuning indicators appear to be in an undetermined state, particularly when used with the Dynamic Coupler Search feature.

To Display Coupling Peak Markers

  1. From the Tune menu, select Show Coupling Markers to enable the Coupling Peak Marker feature. Or click the Show Coupling Markers button [image] on the Toolbar.

To Hide Coupling Peak Markers

  1. From the Tune menu, select Show Coupling Markers to disable the Coupling Peak Marker feature. Or click the Show Coupling Markers button [image] on the Toolbar.


Limits Display

Display Limits

Agilent FTS allows you to modify the display of defined limits in a trace window while tuning. You can:

  • Hide Limit Lines

  • Show Limit Lines

  • Show Evaluated Limits (Pass/Fail)

The limit display settings can only be modified during the tuning process. The limit display settings for trace windows cannot be saved with the window configuration. Limit display settings will always revert to the default setting Show Limits when a new tuning session starts.

To Change the Limit Display Setting

  1. Right-click in a trace window. The Trace menu appears. (This is the only way to display this menu.)

  2. Select Limit mode and the desired limit display for the active trace window.

See Also:

Limits

Reference Filter File


Scaling

Agilent FTS allows you to automatically scale the Y axis of a trace window.

Agilent FTS also allows you to numerically set the scale properties of a trace window.

  • The scale properties of a trace window will not be saved beyond the tuning session in which they are defined.

To Autoscale a Window

  1. Right-click in a trace window. The Trace menu appears. (This is the only way to display this menu.)

  2. Select Autoscale. The active window will be automatically scaled.

To Define Scale Properties For a Window

  1. Right-click in a trace window. The Trace menu appears. (This is the only way to display this menu.

  2. Select Scale Properties.... The Scale Properties dialog appears.

  3. In the Stimulus area, enter the value and units for the Begin frequency of the X axis of the trace window.

  4. In the Stimulus area, enter the value and units for the End frequency of the X axis of the trace window.

  5. In the Response area, enter the value for the Reference level.

  6. In the Response area, enter the value for Scale.

  7. Click OK

See Also:

Window Configuration


Zoom

Magnify Trace Window

To Magnify a Portion of a Trace Window

  1. To enlarge a specific part of a trace window, define the area to be magnified by placing the pointer in the desired starting position.

    1. Hold down the left mouse button and drag the mouse to define the portion of the trace to magnify.

  1. Release the mouse button to zoom into the defined area


Troubleshooting

Error: Cannot Find C:\WinNT\regtlib.exe

Permission Denied When Running Automation Script for E835x

Invalid VISA Message When Installing Agilent FTS

E835x Will Not Boot Up With FTS Installed On Internal PC

USB Hardware License Key Not Recognized By Agilent FTS

Error: Could Not Connect to Network Analyzer

Resonator Indicator In An Undetermined State

Indicators Bar Is Jumping Around Even When The Filter Is Not Being Adjusted

Error: Cannot Find C:\WinNT\regtlib.exe

When Agilent FTS is installed on an external PC for use with a E835x, the automation script on the E835x must be run after the installation of FTS. Install Agilent FTS, then run the automation script again.

Permission Denied When Running Automation Script for E835x

Make sure the user name and password for your PC matches the user name and password for the E835x. Also verify the following:

  1. On your PC, open C:\Program Files\Agilent\Network Analyzer.

  2. Select 835x.tlb and 835xps.dll.

  3. In the File menu, select Properties.

  4. Make sure that Read Only is not selected.

  5. Click OK.

  6. Run the automation script again.

Invalid VISA Message When Installing Agilent FTS

When using Agilent FTS with the 8719, 872x, or 875x, the GP-IB interface software, including VISA libraries must be installed prior to installation of FTS.

  1. Exit from the installation process.

  2. Install the GP-IB interface software, including VISA libraries, to your PC.

  3. Install Agilent FTS.

See the Agilent FTS Getting Started Guide for installation instructions. (A version in PDF format is available on the Agilent FTS CD-ROM.)

E835x Will Not Boot Up With FTS Installed On Internal PC

Some USB hubs can inhibit the boot up process of the E835x. If you experience this problem, Agilent recommends that you replace the USB hub with the powered Hewlett-Packard USB hub that is available as an option with the E835x.

The following procedure can be used to work around this problem while waiting for a replacement part.

  1. Turn the E835x off (not Hibernate).

  2. Unplug the USB hub from the E835x.

  3. Plug the keyboard and mouse directly into the USB ports of the E835x.

  4. Boot the E835x.

  5. Unplug the keyboard or mouse from one of the USB ports.

  6. Reconnect the USB hub, with hardware key, to a USB port on the E835x.

  7. Plug the keyboard or mouse into the USB hub.

USB Hardware License Key Not Recognized By Agilent FTS

If you are using a USB hardware key with Agilent FTS, do not install it on your PC or E835x until after the software has been installed. If the key is installed before the installation of Agilent FTS, the operating system of the computer will identify the key as a USB token. Agilent FTS will not recognize the hardware key as valid. Unplug the hardware key from the PC or E835x, then plug it back in. If Agilent FTS still does not recognize it as a valid hardware key, use the following procedure:

  1. On your PC, select Start/Settings/Control Panel.

  2. Double-click on System.

  3. Select the Hardware tab.

  4. Click on Device Manager.

  5. Select USB Token.

  6. In the Action menu, select Uninstall.

  7. Remove the hardware key from the USB port.

  8. Plug the hardware key back into the USB port.

  9. Start Agilent FTS again.

Error: Could Not Connect To Network Analyzer

This message will only be presented when Agilent FTS is used with the E835x network analyzer. There can be a number of causes for this error message.

Try the following solutions in the order presented until the problem is resolved. If these solutions do not solve the problem, contact Agilent or access the Agilent FTS web site.

  1. Make sure that the LAN cable or crossover cable is properly connected to the E835x.

  2. Make sure that the User Name and Password for your PC matches those for your E835x.

  3. Verify that the E835x is properly connected to the LAN by attepting to access the shared hard drive of your E835x from the external PC. If the hard drive of your E835x is not mapped to your external PC, perform the following steps:

    1. Right-click on the My Network Place icon on your PC desktop.

    2. Select Map Network Drive.

    3. In Path, enter the path to the hard drive of your E835x on your network. (Enter \\hostname\C$ to specify the hard drive of your E835x, where hostname is the actual name of your E835x.)

    4. Make sure that Reconnect at Logon is selected.

    5. Click Finish. A Windows Explorer dialog will appear with the directory of your E835x. (If a dialog box appears that asks for your user name and password, the user name and password for your PC does not match those for your E835x.)

    6. Click OK.

  4. Use the following steps to rerun the automation script that allows the E835x to be controlled remotely:

    1. Double click on the My Computer icon on your PC desktop.

    2. Double click on the mapped drive for the E835x.

    3. Double click Program Files.

    4. Double click Agilent.

    5. Double click Network Analyzer.

    6. Double click Automation.

    7. Double click Automation.vbs to run the automation script.

    8. Click OK.

  5. Check for and close the MSSAssetServerE.exe and WSPLS.exe applications using the following steps:

    1. Close Agilent FTS.

    2. Run the Task Manager by pressing the Ctrl, Alt and Delete keys simultaneously, then clicking on Task Manager.

    3. Select the Processes Tab.

    4. If MSSAssetServerE.exe is running, select it. Click End Process.

    5. If WSPLS.exe is running, select it. Click End Process.

    6. Exit the Task Manager.

    7. Start Agilent FTS.

  6. Use the following steps to verify the COM settings:

    1. On your PC, select Start/Run.

    2. Enter dcomcnfg in the dialog.

    3. Click OK.

    4. Select the General tab.

    5. For Authentication Level enter Default.

    6. Select the Security tab.

    7. Select Use default access permissions.

    8. Select Use default launch permissions.

    9. Select Use default configuration permissions.

    10. Click OK.

    11. Reboot your PC.

    12. Start Agilent FTS.

  7. Uninstall and reinstall Agilent FTS.

  8. Uninstall and reinstall the network analyzer firmware on your E835x.

Resonator Indicator In An Undetermined State

This situation should only be observed with the resonator indicators and never with the coupling indicators. There are two possible explanations for the resonator indicators' bars to be at either extreme.

  1. It is possible that the resonators' frequency is really too high or too low, by such amount that, in the current span, the current value is near the start or stop frequency of the span. If this condition is observed while in medium or fine tuning stage, you can verify the cause by changing to the previous stage and seeing if the indicator's bar drops from the top or comes up from the bottom in the wider span.

    • If this happens, then the solution is to tune the resonator in this wider span until it gets closer to the target and then switching to the narrower span stage for finer tuning.

  2. If the condition is observed while in coarse tuning or the symptoms remain even when you switch back one or two stages, then the cause of the problem is that FTS has lost track of that resonator and is mistaking another adjacent resonator in the time domain response for the one in question.

    • This can be verified by looking at the time domain response of the return loss trace that corresponds to the indicator in question (the first half of the indicators get their data from S11 trace and the second half get their data from the S22 trace). You can tell if a resonator is missing in time domain by looking for its characteristic dip in comparison to the reference filter's trace. In time domain, two peaks corresponding to the adjacent main couplings surround each resonator's dip. If the dip is missing, the two surrounding peaks combine to produce a larger peak that covers the time was occupied by the dip and the two peaks. In this situation, the solution is to tune the resonator in one direction (you can pick up or down) while observing the time domain trace. If the composite peak seems to be getting bigger, then switch tuning directions and continue tuning until a dip appears in the middle of the larger peak and continue tuning until the dip becomes deep and sharp. You can now switch to looking at the indicator view and the indicator's bar should no longer be pegged at the indicator's top or bottom. Its important to note that this work around is best performed while the tuning stage is set to coarse.

Indicator's Bar Is Jumping Around Even When The Filter Is Not Being Adjusted

This problem should mainly be observed in the resonator indicators only. If the coupling indicators exhibit a similar behavior, then usually a nearby resonator indicator is also exhibiting the same problem. The cause of this problem is most likely the same as the cause of the problem Resonator Indicator In An Undetermined State. The only difference is that, in this situation, the resonator's frequency is near a threshold where slight variations in the measurement noise push the resonator into the undetermined state described above and on the next sweep the resonator is restored to normal. The solution for this problem is the same as what was described above.

See Also:

Reference Filter File

Tuning a Filter

Limits

Network Analyzers

FTS Overview


Contacting Agilent

If you have any questions, comments, or feedback, or would like to report any defects or difficulties with Agilent FTS, please use the following information to contact Agilent Technologies. Or see Agilent FTS Support.

Online Assistance:

www.agilent.com/find/assist

United States | (tel) 1 800 452 4844
Canada | (tel) 1 877 894 4414 (fax) (905) 282 6495
Europe | (tel) (+31) 20 547 2323 (fax) (+31) 20 547 2390
Japan | (tel) (+81) 426 56 7832 (fax) (+81) 426 56 7840
Latin America | (tel) (305) 269 7500 (fax) (305) 269 7599
Australia | (tel) 1 800 629 485 (fax) (+61) 3 9210 5947
New Zealand | (tel) 0 800 738 378 (fax) (+64) 4 495 8950

Country | Phone Number | Fax Number
Singapore | 1-800-375-8100 | (65) 836-0252
Malaysia | 1-800-828-848 | 1-800-801664
Philippines | (632) 8426802 1-800-16510170 (PLDT Subscriber Only) | (632) 8426809 1-800-16510288 (PLDT Subscriber Only)
Thailand | (088) 226-008 (outside Bangkok) (662)661-3999 (within Bangkok) | (66) 1-661-3714
Hong Kong | 800-930-871 | (852) 2506 9233
Taiwan | 0800-047-866 | (886) 2 25456723
People's Republic of China | 800-810-0189 (preferred) 10800-650-0021 | 10800-650-0121
India | 1-600-11-2929 | 000-800-650-1101

See Also:

Agilent FTS Support


Add Limits

Add Limit Lines

Add limit lines to a reference filter file using the Edit Limits dialog.

  • The reference filter wizard will display the Edit Limits dialog as part of the process of creating a new reference filter file.

  • To add a limit to an existing reference filter file, select Limits from the Edit menu to display the Edit Limits dialog.

Procedures

  • To Add a Limit Line

    • Numerical Entry

    • Graphical Entry

  • To Add a Ripple Limit

To Add a Limit Line: Numerical Entry

  1. Click on the tab for the S-parameter of the limit.

  2. Click Add Line Limit.... The Limit Properties dialog will appear.

  3. In the Limit Type area, select if the limit type is to be maximum or minimum.

  4. In the Format area, select the format for the limit.

  5. In the Stimulus area, enter the value and units for the Begin frequency of the limit.

  6. In the Stimulus area, enter the value and units for the End frequency of the limit.

  7. In the Response area, enter the output level for Begin.

  8. In the Response area, enter the output level for End.

  9. Click OK

  10. Click Apply to save the new limit but keep the Edit Limits dialog open. Or click OK.

To Add a Limit Line: Graphical Entry

  1. In the Edit Limits dialog, click on the tab for the S-parameter of the limit.

  2. Select an existing limit. (If there are no limits defined for that S-parameter, add a dummy limit numerically, then select it.)

  3. Click View Limit. The Limit dialog will appear.

  4. Right-click in the plot area to show the Display menu. Select Add Limit, the limit type (Minimum, Maximum, or Ripple), and the trace for the limit.

  5. To enlarge a specific part of a trace, define the area to be magnified by placing the pointer in the desired starting position.

    1. Hold down the left mouse button and drag the mouse to define the portion of the trace to magnify.

    2. Release the mouse button to magnify the defined area.

  6. To define the limit more precisely, right-click on one of the end points of the limit to display the Limit menu. Click on Limit Properties. The Limit Properties dialog (or Ripple Properties dialog) will appear. Modify the parameters as desired, then click OK.

  7. Click OK.

  8. Click Apply to save the new limit but keep the Edit Limits dialog open. Or click OK.

To Add a Ripple Limit

  1. Click on the tab for the S-parameter of the limit.

  2. Click Add Ripple Limit. The Ripple Properties dialog will appear.

  3. In the Stimulus area, enter the value and units for the Begin frequency of the ripple limit.

  4. In the Stimulus area, enter the value and units for the End frequency of the ripple limit.

  5. Enter the value for ripple tolerance.

Maximum allowable difference between the maximum level and minimum level over the specified frequency span

  6. In the Format area, select the desired format for the limit.

  7. Click OK.

  8. Click Apply to save the new limit but keep the Edit Limits dialog open. Or click OK.

See Also:

Limits

Edit Limits

View a Limit

Limit Evaluation

Reference Filter


Agilent_FTS_Support

You can contact Agilent by telephone or Fax for support with FTS, or you can use the online options.

Online Agilent FTS Support

The Agilent FTS web site has information about the software, such as application notes, bug fixes, and updates of the software.

  1. Log on to the website: http://www.agilent.com/find/fts

Sign Up for "Notify Me" Service

Agilent offers a "Notify Me" service to support Agilent FTS. This service provides notification of bug fixes and updates of the software.

  1. Log on to the website: http://www.agilent.com/find/notifyme

  2. Select the "Subscribe to the Update Service" link.

  3. Complete the required information. Under RF and Microwave Test Equipment, select network analyzers.

See Also:

Contacting Agilent


CF Example

Tuning Span Example

FTS does not verify that the tuning spans around the center frequency are within the range of the network analyzer.

Example:

Center Frequency | 2.8 GHz
3 dB Bandwidth | 100 MHz
Default Coarse Span: | 800 MHz

  • The E8356A has a frequency range of 300 kHz to 3 GHz.

  • The default Coarse span for this example filter will not work with this model VNA. The resulting overall measurment span of 2.4 GHz to 3.2 GHz exceeds the frequency range of the VNA.


Change BW

Change Bandwidth dialog

  • Enter the new value for the 3 dB Bandwidth of the reference filter file.

This will scale the tuning span settings by the ratio of the new 3 dB Bandwidth to the old 3 dB Bandwidth.

  • The same filter performance data from the original file is used, but it is processed by Agilent FTS to compensate for the change in 3 dB Bandwidth.

  • This resonator indicator span will be scaled by the same ratio used for the tuning spans. You will have to pick the peaks for each tuning stage again.

See Also:

Modify Reference Filter File


Change Span Defaults

  • All tuning span values are specified as multiples of the specified 3 dB Bandwidth of the reference filter.

  • FTS does not verify that your VNA can support the default spans in conjunction with the specified Center Frequency of the reference filter. The resultant measurement span may exceed the frequency range of your VNA. See example.

Procedure

  1. From the Setup menu, select Options.... The Options dialog appears.

  2. Click the Default Spans tab at the top of the dialog.

  3. In the Coarse Span area, enter the desired default value (multiple of the 3 dB Bandwidth).

  4. In the Medium Span area, enter the desired default value (multiple of the 3 dB Bandwidth).

  5. In the Fine Span area, enter the desired default value (multiple of the 3 dB Bandwidth).

  6. Click Apply.

  7. Click OK.

See Also:

Tuning Stages

Reference Filter

Tuning a Filter

Tuning Procedures


Default Spans DB

Default Span Multipliers dialog

All tuning span values are specified as multiples of the specified 3 dB Bandwidth of the reference filter.

These multipliers are used to calculate the recommended corresponding measurement span when creating a new reference filter file.

  • Enter the new default value for the Coarse span multiplier.

  • Enter the new default value for the Medium span multiplier.

  • Enter the new default value for the Fine span multiplier.

  • Click OK.

FTS does not verify that your VNA can support the default spans in conjunction with the specified Center Frequency of the reference filter. The resultant measurement span may exceed the frequency range of your VNA. See example.

Span

Original Default Value

Coarse

8 x 3 dB Bandwidth

Medium

6.5 x 3 dB Bandwidth

Fine

2.5 x 3 dB Bandwidth


Defining Limits

Type topic text here.


Dynamic Coupler Search

If a production filter is very out-of-tune, the coupling peaks may not be located in the same vicinity in the time domain traces of S11 and S22 as those of the reference filter. Agilent FTS may be looking at the wrong area of the trace when comparing the data to the tuning targets. Therefore, the tuning indicators will not accurately reflect the states of the resonators and couplers.

When the Dynamic Coupler Search feature is enabled, Agilent FTS will dynamically search the time domain traces for S11 and S22 of the production filter to locate the actual first peaks and subsequent coupling peaks.

  • The tuning indicators will give a better representation of the actual performance of the resonators and couplers.

The Show Coupling Markers feature will display all the coupling peak markers on the time domain traces for S11 and S22. See the example below.

There are some out-of-tune conditions when the Dynamic Coupler Search feature must be disabled.

Agilent FTS disables the Dynamic Coupler Search function when the tuning mode is changed. You must re-enable the function after you change tuning modes if you want to continue using it.

Click to view the procedure to enable the Dynamic Coupler Search feature.

Dynamic Coupler Search Enabled
Coupling Peaks Correctly Detected

In some instances where the null corresponding to a resonator is not evident on the S11 or S22 time domain traces, the Dynamic Coupler Search feature may miss a coupling peak. The result will be that the coupling peaks and resonators will be misidentified and the resonator and coupler indicators will show results for the wrong tuning elements, thus compromising efforts to tune the filter. In such cases, it is best to turn off the Dynamic Coupler Search feature until the nulls are more readily detectable. This is easiest to see when the trace for the reference filter is displayed as well.

In the example below, Agilent FTS has misidentified the first inter-stage coupling peak C1 as the input coupling peak Ci. The resonator indicators are showing results for the adjacent resonators, with R2 identified as R1. All subsequent tuning indicators are therefore misidentified as well.

Dynamic Coupler Search Enabled
Coupling Peaks Incorrectly Detected

Dynamic Coupler Search Disabled


Edit Golden

Edit Filter Characteristics dialog

Adjustable Tuning Elements:

Specify whether the inter-stage couplers of the filter are adjustable.

Center Frequency:

Edit the specified center frequency for the filter.

The center frequency used with the measurement tuning span for each tuning stage is changed to the new value. The tuning target values used in the resonator indicators are shifted by the amount of the change to the center frequency (New CF - Old CF)

Electrical Delay:

Edit the electrical delay value to compensate for line length or other features of the filter assembly or test set. (Applied for phase and delay measurements only.)

3 dB Bandwidth:

Edit the 3 dB bandwidth for the filter.

The measurement tuning spans will be scaled by the ratio of the new 3 dB Bandwidth to the old 3 dB Bandwidth.

  • FTS does not verify that the measurement spans around center frequency are within the range of the network analyzer.

  • The default measurement span around the center frequency for Coarse tuning stage is 8 times the 3 dB bandwidth.

  • If this is outside the frequency range of your network analyzer, you will need to modify the coarse tuning span or use a network analyzer with a broader frequency range.

The same filter performance data from the original file is used, but it is processed by Agilent FTS to compensate for the change in 3 dB Bandwidth. The Resonator Indicator spans will also be scaled. You will have to pick the peaks for each tuning stage again.


Edit Limit Procedure

Agilent FTS allows you to edit existing limits using the Edit Limits dialog and the Limit Properties dialog. FTS also allows you to edit existing limits graphically.

  • The reference filter wizard will display the Edit Limits dialog as part of the process of creating a new reference filter file.

  • To edit a limit of an existing reference filter file, select Limits from the Edit menu to display the Edit Limits dialog.

Procedures

To Edit a Limit :

  • Numerical Entry

  • Graphical Entry

To Edit a Limit: Numerical Entry

  1. Click on the tab for the S-parameter of the limit to be edited.

  2. Select the limit to be edited.

  3. Click Edit Limit.... The Limit Properties dialog will appear. If the selected limit is a ripple limit, the Ripple Limit Properties dialog will appear.

  4. In the Limit Type area, change the limit type to maximum or minimum, if desired.

  5. In the Stimulus area, change the value and units for the Begin frequency of the limit, if desired.

  6. In the Stimulus area, change the value and units for the End frequency of the limit, if desired.

  7. In the Response area, change the output level for Begin, if desired. (Line Limits only)

  8. In the Response area, change the output level for End, if desired. (Line Limits only)

  9. In the Ripple Tolerance area, change the ripple tolerance to the desired level. (Ripple Limit only)

  10. Click OK

  11. Click Apply to save the limit changes but keep the Edit Limits dialog open. Or click OK.

To Edit a Limit Line: Graphical Entry

  1. In the Edit Limits dialog, click on the tab for the S-parameter of the limit.

  2. Select the limit to be edited.

  3. Click View Limit. The Limit dialog will appear.

  4. Place the pointer on the end-point of the limit to be edited. Hold down the left button and drag the end-point to the desired stimulus and response position. You can zoom in to view a close up of the trace.

  5. Place the pointer on the other end-point of the limit to be edited. Hold down the left button and drag the end-point to the desired stimulus and response position.

  6. Click OK.

  7. Click Apply to save the new limit but keep the Edit Limits dialog open. Or click OK.

See Also:

Remove a Limit

Add a Limit

Indicator Properties


Edit Limits

Edit the limits of a reference filter file using the Edit Limits dialog.

  • The reference filter wizard will display the Edit Limits dialog as part of the process of creating a new reference filter file.

  • To edit a limit from an existing reference filter file, select Limits from the Edit menu to display the Edit Limits dialog.

A limit can also be edited graphically with the View Limits feature.

Procedure

  1. In the Edit menu, select Limits. The Edit Limits dialog will appear.

  2. Click on the tab for the S-parameter of the limit to be edited.

  3. In the Format area, select the format of the limit to be edited.

  4. Select the limit to be edited.

  5. Click Edit Limit.... The Limit Properties dialog will appear if the limit type is Min or Max. The Ripple Properties dialog will appear if the limit type is Ripple.

  6. In the Limit Type area, select if the limit type is to be maximum or minimum.

  7. In the Format area, select the desired limit format.

  8. In the Stimulus area, make the desired changes to the Begin frequency and End frequency of the limit.

  9. If it is a Min or Max limit, make the desired changes to the Response levels for the Begin and End frequencies.

  10. If it is a Ripple limit, make the desired changes to the ripple tolerance.

  11. Click OK

  12. Click Apply to save the limit changes but keep the Edit Limits dialog open. Or click OK.

See Also:

Limits

Add Limit Line

View Limits

Remove Limit

Limit Evaluation

Reference Filter


edit limits DB

Edit Limits dialog

S-parameters:

Click on the tab for the S-parameter of the limit.

Action:

Select the desired limit action.

  • Add Limit Line...

  • Add Ripple Limit

  • Edit Limit...

  • Remove Limit

  • View Limit

See Also:

Limits

Limit Evaluation


Evaluate Limits

Limit Evaluation dialog

This dialog displays all limits specified for the reference filter. This dialog shows the following information to identify each limit:

  • Format

  • S-Parameter

  • Limit Type

This dialog also displays an evaluation of Pass or Fail for each limit.

To View a Trace and its Defined Limit

  1. Select the limit that shows Fail

  2. Click Show Limit.

See Also:

Edit Limits.


Filter Props

Filter Properties dialog

Adjustable Coupling

Specify whether the inter-stage main couplings of the filter are adjustable.

If Adjustable Coupling is toggled OFF, the coupler indicators will be displayed, but will never be highlighted in Guided Tuning. (Agilent FTS assumes that the Input and Output couplings are fixed. The result is that the Input and Output coupling indicators are never highlighted in Guided Tuning, regardless of the Adjustable Coupling setting.)

This setting will not affect the operation of the Resonator Indicators.

Center Frequency

Enter the specified center frequency for the filter.

3 dB Bandwidth

Enter the 3 dB bandwidth for the filter.

  • The default values for Coarse, Medium, and Fine tuning measurement spans are based on the 3 dB bandwidth.

  • FTS does not verify that the measurement spans around center frequency are within the range of the network analyzer.

  • The default measurement span around the center frequency for Coarse tuning stage is 8 times the 3 dB bandwidth (unless you edit the default span multipliers).

    • If this is outside the frequency range of your network analyzer, you will need to modify the coarse tuning span or use a network analyzer with a broader frequency range.

Number of Resonators

Range: 2 to 12 resonators.

Number of Frequency Points

There are four options possible:

  • 201

  • 401

  • 801

  • 1601

Increasing the number of data points improves resolution, but there is a tradeoff between the number of data points and measurement speed.

Electrical Delay

Enter the desired electrical delay value to compensate for line length or other features of the filter assembly or test set. (Applied for phase and group delay measurements only.)


Filter Spans

Tuning Stage Spans dialog

  • Enter the desired frequency span for Coarse, Medium, and Fine tuning stages.

  • Select the Last resonator measured in S11.

Note:

For reference filter files created from simulation data, the Coarse stage span cannot be changed to exceed the span of the Coarse stage simulation file. The Fine stage span cannot be changed to a value less than 2 x 3 dB Bandwidth.

The default values for the Coarse, Medium and Fine spans are based upon the 3 dB Bandwidth value of the reference filter.

Span | Original Default Value
Coarse | 8 x 3 dB Bandwidth
Medium | 6.5 x 3 dB Bandwidth
Fine | 2.5 x 3 dB Bandwidth

  • FTS does not verify that your VNA can support the default spans in conjunction with the specified Center Frequency of the reference filter. The resultant measurement span may exceed the frequency range of your VNA.

Example:

Center Frequency | 2.8 GHz
3 dB Bandwidth | 100 MHz
Default Coarse Span: | 800 MHz

  • The E8356A has a frequency range of 300 kHz to 3 GHz.

  • The default Coarse span for this example filter will not work with this model VNA. The resulting overall measurement span of 2.4 GHz to 3.2 GHz exceeds the frequency range of the VNA.

See Also:

Changing Tuning Span Multiplier Defaults


From Sim

Load S2P dialog

Number of Points | Select the number of data points to be used for tuning.
Adjustable Coupling | Select if the filter has adjustable coupling.
Number of Resonators | Enter the number of resonators for the simulated filter.
3 dB Bandwidth | Enter the 3 dB Bandwidth for the simulated filter.
Electrical Delay | Enter the desired electrical delay value to compensate for line length or other features of the filter assembly or test set. (Applied for phase and delay measurements only.)
Coarse | Select the .s2p format file to be used to define the reference filter for An industry-standard S-parameter file format for microwave simulation programs, such as Touchstone, Libra and Super-Compactthe Coarse tuning stage.
Interpolate Medium and Fine Stages | Select to interpolate the Medium and Fine stage data from a single Coarse stage .s2p file. Agilent recommends that you use a Coarse stage .s2p file with 1601 points when interpolating .
Medium | Select the .s2p file to be used to define the reference filter for the Medium tuning stage.
Fine | Select the .s2p file to be used to define the reference filter for the Fine tuning stage.

  • The center frequency values in the simulation files used for the Coarse, Medium, and Fine tuning stages must match.


Indicator Properties

FTS allows you to edit the properties of each individual indicator for each tuning stage. The indicator properties are described below.

  • The span of a resonator indicator corresponds to the frequency span represented by the indicator, with the measurement span of the tuning stage as the default value. For a coupler indicator, this is the range of coupling ratios represented by the indicator.

  • The green band in the middle of the indicator is the pass band, which represents the tolerance around the target value.

  • The line in the middle of the green band is the target. The measured value of the tuning element in the reference filter is the default value.

    • You do not typically need to change the target value. Simple filters with no cross-coupling can theoretically be set to the center frequency of the filter. If your filter has any cross-coupling, Agilent recommends that you not change the target values.

  • The area between the blue lines represents the linear range of the indicator. The portions of the indicator above the upper blue line and below the lower blue line are nonlinear regions.

  • The linear percent is the percentage of the indicator span that is to be represented as the linear range. This property allows you to capture a wide span in a small area of an indicator, while keeping indicator movements responsive to changes of the corresponding tuning element.

Note:

There is a common behavior that may seem confusing. On some occasions, all the tuning indicators will be in a passing state in the Fine stage, but the same indicators that were passing in the Fine stage will show an out-of-tune state with the wider span of the Medium or Coarse stage. This behavior is normal and does not indicate that the filter is not tuned. Each stage has its own unique tuning targets. An indicator's target value may not be the same in all three stages.

Procedures:

Setting resonator and coupler indicator properties is part of creating a new reference filter file. FTS uses a wizard to guide you through the process. Defaults are provided.

  • The Resonator Indicator Properties dialog appears after the Edit Limits dialog has been completed.

  • The Coupler Indicator Properties dialog appears after the Resonator Indicator Properties dialog.

To Modify Resonator Indicator Properties

  1. From the Edit menu, select Resonator Indicators....The Resonator Indicator Properties dialog will appear.

  2. Click the tab to select the desired tuning stage in which you want to change indicator properties.

  3. In the row corresponding to the desired resonator indicator, enter the desired Target value.

Note:

Do not change Target values, except with reasonable, theoretically correct values. If your filter has any cross-coupling, Agilent recommends that you not change Target values.

  4. In the row corresponding to the desired resonator indicator, enter the desired Span for the indicator. The default value is the measurement span of the current tuning stage.

  5. In the row corresponding to the desired resonator indicator, enter the desired span of the indicator that is to be Linear . The default value for a resonator indicator is 3 x Pass Band.

  6. In the row corresponding to the desired resonator indicator, enter the desired span for the Pass Band. The default value is [(1% of 3 dB Bandwidth) + (0.1% Span of Tuning Stage)].

  7. In the row corresponding to the desired indicator, enter the desired value for the Linear Percent. The default value is 50%.

  8. To view the effect of the changes to the selected indicator, click Update. The indicator in the dialog will display the current indicator property settings for that indicator.

  9. Click OK.

To Modify Coupler Indicator Properties

  1. From the Edit menu, select Coupler Indicators....The Coupler Indicator Properties dialog will appear.

  2. Click the tab to select the desired tuning stage in which you want to change the coupler indicator properties.

  3. In the row corresponding to the desired coupler indicator, enter the desired Target value.

Note:

Do not change Target values, except with reasonable, theoretically correct values. If your filter has any cross-coupling, Agilent recommends that you not change Target values.

  4. In the row corresponding to the desired coupler indicator, enter the desired Span for the indicator. The default value for a coupler indicator is 12 dB.

  5. In the row corresponding to the desired coupler indicator, enter the desired span of the indicator that is to be Linear. The default value is 6 dB.

  6. In the row corresponding to the desired coupler indicator, enter the desired span for the Pass Band. The default value is 3 dB.

  7. In the row corresponding to the desired indicator, enter the desired value for the Linear Percent. The default value is 50%.

  8. To view the effect of the changes to the selected indicator, click Update. The indicator in the dialog will display the current indicator property settings for that indicator.

  9. Click OK.

See Also:

Indicators

Reference Filter

Tuning Stages

Tuning a Filter


Indicator Props

Indicator Properties dialog

  1. Click the tab to select the desired tuning stage in which to change indicator properties.

  2. In the row corresponding to the desired indicator, enter the desired Target value.

The measured value of the tuning element in the reference filter, represented by the line in the middle of the green band of the indicator

Note:

Do not change Target values, except with reasonable, theoretically correct values. If your filter has any cross-coupling, Agilent recommends that you not change Target values.

  3. In the row corresponding to the desired indicator, enter the desired Span for the indicator. The default value for a resonator indicator is the measurement span of the current tuning stage. The default value for a coupler indicator is 12 dB.

For a resonator indicator, this is the frequency span represented by the indicator. For a coupler indicator, this is the range of coupling ratios represented by the indicator.

  4. In the row corresponding to the desired indicator, enter the desired span of the indicator that is to be Linear . The default value for a resonator indicator is 3 x Pass Band. The default value for a coupler indicator is 6 dB.

The area between the two blue lines represents the linear range of the indicator, while the portions of the indicator above the upper blue line and below the lower blue line are nonlinear regions.

  5. In the row corresponding to the desired indicator, enter the desired span for the Pass Band. The default value for a resonator indicator is [(1% of 3 dB Bandwidth) + (0.1% Span of Tuning Stage)] The default value for a coupler indicator is 3 dB.

The green band in the middle of the indicator, which represents the tolerance band around the target value.

  6. In the row corresponding to the desired indicator, enter the desired value for the Linear Percent. The default value is 50%.

The percentage of the indicator span that is to be represented as the linear range.


Installation

Installation instructions for Agilent Filter Tuning Software are in the Getting Started Guide that shipped with the software.

A PDF version of the Getting Started Guide is on the Agilent FTS CD-ROM.


Kaiser Window

Windowing can produce time domain responses with lower sidelobes, which helps with peak detection.

The Kaiser window is used to mathematically filter frequency domain data prior to the time domain transformation. The Beta parameter determines the rate at which the frequency data is filtered at the band edges.

The minimum Beta value only produces a modest amount of filtering. Example.

  • The side lobes will be higher, which can make it more difficult to accurately detect the first peak that corresponds to the input or output coupler.

  • The impulse width will be smallest, which provides better resolution for detecting the dips in the time domain response corresponding to resonators.

The maximum Beta value produces time domain responses with the highest degree of filtering. Example.

  • The side lobes will be lower, which can make it much easier to accurately detect the first peak that corresponds to the input or output coupler.

  • The impulse width will be larger, which degrades the resolution for detecting the dips in the time domain response corresponding to resonators.

Select the best Kaiser Beta value that will allow Agilent FTS to consistently detect the first coupling peaks in your production filters while showing the deepest nulls. See the examples of mid-range Kaiser Beta values that correctly locate and incorrectly locate.

For additional information about the Kaiser window, also know as the Kaiser-Bessel window, refer to the articles "Windowing Functions Improve FFT Results" Parts I and II from Test and Measurement World magazine, June and September 1998 issues, respectively.

Examples

Maximum Kaiser Beta Value

Minimum Kaiser Beta Value

Incorrect First Peak Location

Correct First Peak Location


Last Resonator Measured In S11

Agilent FTS allows you to select the last resonator to be measured with S11.

This feature can allow you to tune a filter using just the S11 trace. This can be useful with filters where you can't access the second port.

As a default, Agilent FTS will always measure half the resonators with S11 and the other half with S22. If the filter has an odd number of resonators, Agilent FTS will measure the majority with S11.


Limit Evaluation

Agilent recommends that you use the limit evaluation feature as the final confirmation that a filter is tuned.

The limit evaluation feature provides a summary of all limits. The Limit Evaluation dialog shows the following information to identify each limit:

  • Format

  • S-Parameter

  • Limit Type

This dialog also displays an evaluation of Pass or Fail for each limit.

The Limit Evaluation dialog also allows you to select and view a limit and its associated trace.

To Evaluate Limits

  1. From the Tune menu, select Evaluate Limits. Or click the Evaluate Limits button [image] on the Toolbar. The Limit Evaluation dialog appears.

Note:

These options are only available while tuning is in progress.

To View a Trace and its Defined Limit

  1. In the Limit Evaluation dialog, select the desired limit.

  2. Click Show Limit. The Limit dialog will appear.

See Also:

Limits

Add Limits

Edit Limits

View Limits

Reference Filter

.


Limit Properties

The Limit Properties dialog allows you to numerically define limits. This dialog is used when adding or editing limits.

  1. In the Limit Type area, select if the limit type is to be maximum or minimum.

  2. In the Format area, select the format for the limit.

  3. In the Stimulus area, enter the value and units for the Begin frequency of the limit.

  4. In the Stimulus area, enter the value and units for the End frequency of the limit.

  5. In the Response area, enter the output level for Begin.

  6. In the Response area, enter the output level for End.

  7. Click OK.

See Also:

Limit Evaluation


Limit Props

Limit Properties dialog

Limit Type:

Select if the limit type is to be maximum or minimum.

Format:

Select the format of the limit.

Stimulus:

Enter the values and select the units for:

  • Begin frequency

  • End frequency.

Response:

Enter the values and select the units for:

  • Begin level

  • End level

See Also:

Limits

Limit Evaluation


Limit Props Trace

Limit Properties dialog

Limit Type:

Select if the limit type is to be maximum or minimum.

Stimulus:

Enter the values and select the units for:

  • Begin frequency

  • End frequency.

Response:

Enter the values and select the units for:

  • Begin level

  • End level

See Also:

Limit Evaluation


Markers DB

Markers dialog

  • In the Stimulus Point area, enter the value and units for the marker position on the X axis.

  • Click Discrete if you want the marker to snap to the nearest actual data point. (This setting is not saved with the Window Configuration.)

  • Click OK.

Markers will not be saved beyond a tuning session unless the current window configuration is saved.

Markers will not be saved with the reference filter file unless the reference filter file is saved after the window configuration is saved.


New Topic

Type topic text here.


Pick Peaks

Pick Peaks dialog

  • FTS locates the first peaks on the time domain trace for S11 and S22. These correspond to the input coupler and output coupler, respectively.

  • FTS then calculates and marks the positions of the other peaks, which correspond to the inner couplers.

Note:

This information is critical to the accuracy and effectiveness of FTS as a tuning tool.

  1. Inspect the Pick Peaks: Coarse Stage dialog.

  2. To enlarge a specific part of a trace, define the area to be magnified by placing the pointer in the desired starting position.

    1. Hold down the left mouse button and drag the mouse to define the portion of the trace to magnify.

  1. Release the mouse button to zoom into the defined area

  3. Select the best Kaiser Beta value that will allow Agilent FTS to consistently detect the first coupling peaks in your production filters while showing the deepest nulls.

  4. If the displayed markers are not properly placed on the peaks corresponding to the couplers, move marker 1 to left of the first coupling peak and press Re-compute Peaks. Or move the coupling peak markers directly to their proper respective locations.

  5. Press Next. The Pick Peaks: Medium Stage dialog will appear.

  6. Repeat Step 3.

  7. Press Next. The Pick Peaks: Fine Stage dialog will appear.

  8. Repeat Step 3.


Reference Filter Procedures

Create a New Reference Filter File: | From Scratch From Template From Simulation
Modify Reference Filter File | Edit Parameters Edit Limits Edit Resonator Indicator Properties Edit Coupler Indicator Properties Edit Window Configuration
Limits: | Add a Limit Add a Ripple Limit Edit Limits Remove a Limit


Remove a Limit

  1. From the Edit menu, select Limits. The Edit Limits dialog will appear.

  2. Click on the tab for the S-parameter of the limit to be removed.

  2. Select the limit to be removed.

  3. Click Remove Limit.

  4. Click Apply to save the removal of the limit line but keep the Edit Limits dialog open. Or click OK.

See Also:

Add Limit Line

Add Ripple Limit

Edit Limit


Ripple Limits

Agilent FTS allows you to create ripple limits for checking filter performance.

Use the Add Ripple Limit dialog to define the ripple tolerance, the maximum allowable peak-to-peak variation between the maximum response level and minimum response level over the specified frequency span.

The Add Ripple Limit dialog is accessed from the Edit Limits dialog.

  • The reference filter wizard will display the Edit Limits dialog as part of the process of creating a new reference filter file.

  • To add a limit to an existing reference filter file, select Limits from the Edit menu to display the Edit Limits dialog.

To Add a Ripple Limit

  1. Click on the tab for the S-parameter of the limit.

  2. Click Add Ripple Limit. The Ripple Properties dialog will appear.

  3. In the Stimulus area, enter the value and units for the Begin frequency of the ripple limit.

  4. In the Stimulus area, enter the value and units for the End frequency of the ripple limit.

  5. Enter the value for ripple tolerance.

  6. In the Format area, select the desired format for the limit.

  7. Click OK.

  8. Click Apply to save the new limit but keep the Edit Limits dialog open. Or click OK.

See Also:

Limit Evaluation

Modifying a Reference Filter File


Ripple Properties

Ripple Properties dialog

  • In the Stimulus area, enter the value and units for the Begin frequency of the ripple limit.

  • In the Stimulus area, enter the value and units for the End frequency of the ripple limit.

  • Enter the value for ripple tolerance.

Maximum allowable peak-to-peak difference between the maximum level and minimum level over the specified frequency span.

  • In the Format area, select the desired format for the limit.

  • Click OK.

  • Click Apply to save the new limit but keep the Edit Limits dialog open. Or click OK.


Ripple Properties Trace

Ripple Properties dialog

  • In the Stimulus area, enter the value and units for the Begin frequency of the ripple limit.

  • In the Stimulus area, enter the value and units for the End frequency of the ripple limit.

  • Enter the value for ripple tolerance.

Maximum allowable peak-to-peak difference between the maximum level and minimum level over the specified frequency span.

  • Click OK.

  • Click Apply to save the new limit but keep the Edit Limits dialog open. Or click OK.


Run Automation Script for E835x

You must be listed as an Administrator on your E835x. The user name and password must also match for your PC and the E835x.

Note:

If you have installed Agilent FTS on the internal PC of your E835x (not on an external PC) you do not need to perform the following procedure.

Note:

If you have installed Agilent FTS on a PC with Windows NT 4.0 operating system, you must install the latest version of Microsoft Windows Script before performing the following procedure. This program is needed to run the automation script which sets up the interface between the PC and the E835x. It is available free at: http://www.msdn.microsoft.com/scripting/

  1. Right-click on the My Network Place icon on your PC desktop.

  2. Select Map Network Drive.

  3. In Path, enter the path to the hard drive of your E835x on you network. (Enter \\hostname\C$ to specify the hard drive of your E835x, where hostname is the name of you analyzer.)

  4. Make sure that Reconnect at Logon is selected.

  5. Click Finish. A Windows Explorer dialog will appear with the directory for the hard drive of your E835x. (If a dialog box appears that asks for your user name and password, the user name and password for your PC does not match those for your E835x.)

  6. Click OK.

  7. Double click Program Files.

  8. Double click Agilent.

  9. Double click Network Analyzer.

  10. Double click Automation.

  11. Double click Automation.vbs to run the automation script that allows the E835x to be controlled remotely. This automation script must be run after Agilent FTS has been installed to your PC.

  12. Click OK.

See Also:

Troubleshooting


S2P Format

S2P Format Selection dialog

  1. Select the data format to be used whenever an .s2p file is saved.

  2. Click OK.

See Save Tuning Data


Sanity Check

Verify Filter Response dialog

Verify that the filter responses displayed for the Course, Medium, and Fine spans are correct.

  • Are the passbands of the S-parameter traces centered in the display?

  • Do the passbands fit completely in the displays?

  • Do the traces look like you expect them to look?

If the filter responses do not look correct, click Back. Correct the reference filter parameters or tuning spans, as necessary.

If the filter responses look correct, click Next. The reference filter wizard will advance to the Pick Peaks dialog.

See Also:

Reference Filter

Limits


Save Golden Filter

Save Reference Filter File

The FTS reference filter wizard will prompt you to save a new reference filter file.

The reference filter file contains and saves the following information:

  • Parameters

  • Tuning Spans

  • Filter performance data

  • Limits

  • Indicator Properties

  • Window configuration

The window configuration can be saved during the tuning process, but it will only be retained while the current reference filter file is open. You must save the reference filter file again to save the new window configuration as the default configuration for that reference filter file.

Save the reference filter file again if you make any modifications to an existing reference filter file. This will overwrite the original file.

To retain the original reference filter file after making modifications, perform a Save Filter As... operation to save the modified file.

To Save A Reference Filter File

  1. From the File menu, select Save Filter or Save Filter As....

  2. Select the desired destination drive and folder.

  3. Enter the desired file name for Save Filter As....

  4. Click OK.

See Also:

Reference Filter File - Overview

Modify Reference Filter File


Scale Properties DB

Scale Properties dialog

  • In the Stimulus area, enter the value and units for the Begin frequency of the X axis of the trace window.

  • In the Stimulus area, enter the value and units for the End frequency of the X axis of the trace window.

  • In the Response area, enter the value for the Reference level.

  • In the Response area, enter the value for Scale.

  • Click OK

The scale properties of a trace window will not be saved beyond the tuning session in which they are defined.


Synthetic Data

Simulation Data

Agilent FTS allows you to use data from simulation software as the basis for a reference filter file.

Agilent FTS requires three .s2p format files to define the reference filter, one for each of three tuning stages. The center frequency values in the simulation files used for the Coarse, Medium, and Fine tuning stages must match.

An industry-standard S-parameter file format for microwave simulation programs, such as Touchstone, Libra and Super-Compact

Agilent FTS can also interpolate the Medium and Fine stage data from a single Coarse stage .s2p file.

  • The number of data points to be used for tuning must be specified.

  • Agilent recommends that you use a Coarse stage .s2p file with 1601 points .

To create a reference filter from simulation files, select New from Simulation from the File menu.

A wizard guides you through the steps of creating the reference filter. Click here to view the procedure.

See Also:

Reference Filter

Saving Tuning Data


Time Domain Tuning

Time Domain tuning techniques can provide guidance when tuning manually (Guided Tuning disabled) with Agilent FTS, particularly when any indicators are in an undetermined state.

Refer to the following Application Notes for information on how to use Time Domain tuning techniques.

These Application Notes are included on the Agilent FTS CD-ROM.

Document Number

Title

Agilent AN 1287-8

Simplified Filter Tuning Using Time Domain

Agilent AN 1287-10

Advanced Filter Tuning Using Time Domain Transforms

See Also:

Tuning Procedures

Trace Display Properties

Window Configuration


Trace Format

Trace Display Properties dialog

Trace windows can only be created, modified, or removed during the tuning process. New or modified trace windows can be saved with the window configuration.

New or modified trace windows will not be saved with the reference filter file unless the reference filter file is saved after the window configuration is saved.

  • In the S Parameters area of the dialog, select which S Parameter traces to display in the window.

  • In the Show Reference Data, select if the corresponding traces from the reference filter are to be displayed.

  • In the Display Options area, select the desired format for the traces in the window.

    • A window can display only one trace format.

  • In the Apply Electrical Delay area, select if electrical delay is to be applied to the traces in the window. (Applied for phase and group delay measurements only.)

  • In the Electrical Delay area, enter the desired electrical delay value to compensate for line length or other features of the filter assembly or test set.

  • Click OK.


Tuning Strategy

Type topic text here.


Tuning Targets

Type topic text here.


Verify Response

Verify Filter Response dialog

Verify that the filter responses displayed for the Course, Medium, and Fine spans are correct.

  • Are the passbands of the S-parameter traces centered in the display?

  • Do the passbands fit completely in the displays?

  • Do the traces look like you expect them to look?

If the filter responses do not look correct, click Back. Correct the reference filter parameters or tuning spans, as necessary.

If the filter responses look correct, click Next. The reference filter wizard will advance to the Pick Peaks dialog.

See Also:

Reference Filter

Limits


View Limits

You can see a visual representation of a limit you have created using the View Limits feature. This also allows you graphically add or edit a limit and add markers to the selected trace.

  • View a Limit

  • Add a Limit Line

  • Edit the Selected Limit

  • Zoom In

  • Autoscale

To View a Limit

  1. In the Edit Limits dialog, click on the tab for the S-parameter of the limit.

  2. In the Format area, select the format of the trace.

  3. Select the limit.

  4. Click View Limit. The Limit dialog will appear.

To Add a Limit

  1. In the Edit Limits dialog, click on the tab for the S-parameter of the limit.

  2. In the Format area, select the desired format for the limit.

  3. Select an existing limit.

  4. Click View Limit. The Limit dialog will appear.

  5. Right-click to display the Limit menu.

  6. Select the limit type of Min, Max, or Ripple.

  7. Select the trace for the limit.

  8. Place the pointer in the desired position for an endpoint of the limit. Left-click to place the first endpoint of the limit. Move the pointer to desired position for the other endpoint of the limit. Left-click to place the second endpoint of the limit. You can zoom in to view a close up of the trace.

  9. To define the limit more precisely, right-click on one of the end points of the limit to display the Limit menu. The Limit Properties dialog (or Ripple Properties dialog) will appear. Modify the parameters as desired, then click OK.

  10. Click OK.

  11. Click Apply.

To Edit a Limit

  1. In the Edit Limits dialog, click on the tab for the S-parameter of the limit to be edited.

  2. In the Format area, select the format of the limit to be edited.

  3. Select the limit to be edited.

  4. Click View Limit. The Limit dialog will appear.

  5. Left-click on one of the end points of the limit.

  6. Drag the end point to the desired position.

  7. Drag the other end point to the desired position.

  8. To edit the limit more precisely, use the Edit Limits feature and Limit Properties dialog.

To Zoom In To a Portion of the Trace

  1. Place the pointer in the desired position.

  2. Hold down the left mouse button and drag the mouse to define the portion of the trace to magnify.

  3. To enlarge a specific part of a trace, define the area to be magnified by placing the pointer in the desired starting position.

  4. Hold down the left mouse button and drag the mouse to define the portion of the trace to magnify.

  5. Release the mouse button to zoom into the defined area.

To Autoscale the Limit Window

  1. Right-click in Limit trace window. The Trace menu appears. (This is the only way to display this menu.)

  2. Select Autoscale. The limit window will be automatically scaled.

See Also:

Add Limit Lines

Edit Limits

Remove a Limit

Limit Evaluation

Reference Filter File Overview


view limits DB

View Limits dialog

This dialog provides a visual representation of the selected limit .You can also:

  • Add a Limit Line

  • Edit the Selected Limit

  • Zoom In

  • Autoscale

To Add a Limit

  1. In the Edit Limits dialog, click on the tab for the S-parameter of the limit.

  2. Select an existing limit.

  3. Click View Limit. The Limit dialog will appear.

  4. Right-click to display the Limit menu.

  5. Select the limit type of Min, Max, or Ripple.

  6. Select the trace for the limit.

  7. Place the pointer in the desired position for an endpoint of the limit. Left-click to place the first endpoint of the limit. Move the pointer to desired position for the other endpoint of the limit. Left-click to place the second endpoint of the limit. You can zoom in to view a close up of the trace.

  8. To define the limit more precisely, right-click on one of the end points of the limit to display the Limit menu. The Limit Properties dialog (or Ripple Properties dialog) will appear. Modify the parameters as desired, then click OK.

  9. Click OK.

  10. Click Apply.

To Edit a Limit

  1. In the Edit Limits dialog, click on the tab for the S-parameter of the limit to be edited.

  2. Select the limit to be edited.

  3. Click View Limit. The Limit dialog will appear.

  4. Left-click on one of the end points of the limit.

  5. Drag the end point to the desired position.

  6. Drag the other end point to the desired position.

  7. To edit the limit more precisely, use the Edit Limits feature and Limit Properties dialog.

To Zoom In To a Portion of the Trace

  1. Place the pointer in the desired position.

  2. Hold down the left mouse button and drag the mouse to define the portion of the trace to magnify.

  3. To enlarge a specific part of a trace, define the area to be magnified by placing the pointer in the desired starting position.

  4. Hold down the left mouse button and drag the mouse to define the portion of the trace to magnify.

  5. Release the mouse button to zoom into the defined area.

To Autoscale the Limit Window

  1. Right-click in Limit trace window. The Trace menu appears. (This is the only way to display this menu.)

  2. Select Autoscale. The limit window will be automatically scaled.

See Also:

Add Limit Lines

Edit Limits

Remove a Limit

Limit Evaluation

Reference Filter File Overview


VNA Props

VNA Properties dialog

  • In the VNA Type area, select the desired VNA type.

  • Enter the desired Calibration Register for a 875x or 872x, or specify a Calibration File for a E835x.

  • Click to select Hide VNA Display. area,

  • Click OK.

See Also:

Network Analyzer

Calibration


Welcome

Welcome To Agilent FTS

Revision A.01.18


Zoom In

Magnify Trace Window

To Magnify a Portion of a Trace Window

  1. To enlarge a specific part of a trace window, define the area to be magnified by placing the pointer in the desired starting position.

    1. Hold down the left mouse button and drag the mouse to define the portion of the trace to magnify.

  1. Release the mouse button to zoom into the defined area